package jp.savethememory.manage.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import org.seasar.framework.aop.annotation.Trace;

@Trace
@Entity
@Table(name = "tb_face")
public class TbFace {
	@Column(name = "top_position")
	private long top;

	@Column(name = "bottom_position")
	private long bottom;

	@Column(name = "left_position")
	private long left;

	@Column(name = "right_position")
	private long right;

	@Column(name = "contents_id")
	private long contentsId;

	@Column(name = "face_num")
	private int faceNum;

	@Column(name = "feature_file_path")
	private String featureFilePath;

	public TbFace() {
		super();
	}

	public long getTop() {
		return top;
	}

	public void setTop(long top) {
		this.top = top;
	}

	public long getBottom() {
		return bottom;
	}

	public void setBottom(long bottom) {
		this.bottom = bottom;
	}

	public long getLeft() {
		return left;
	}

	public void setLeft(long left) {
		this.left = left;
	}

	public long getRight() {
		return right;
	}

	public void setRight(long right) {
		this.right = right;
	}

	public long getContentsId() {
		return contentsId;
	}

	public void setContentsId(long contentsId) {
		this.contentsId = contentsId;
	}

	public int getFaceNum() {
		return faceNum;
	}

	public void setFaceNum(int faceNum) {
		this.faceNum = faceNum;
	}

	public String getFeatureFilePath() {
		return featureFilePath;
	}

	public void setFeatureFilePath(String featureFilePath) {
		this.featureFilePath = featureFilePath;
	}
}
