<%@page pageEncoding="UTF-8"%>
<html>
<head>
<link rel="stylesheet" type="text/css" href="${f:url('/css/default.css')}" />
<meta http-equiv="Content-Style-Type" content="text/css"> 
<meta http-equiv="Content-Script-Type" content="text/javascript"> 
<script language="javascript" type="text/javascript">

//デフォルトのボタンを検索にしたい。
function resetSubmit(){
	document.getElementById("reset").click();
}
</script>
<title>申請情報検索条件入力</title>
</head>
<body>
<s:form method="POST">
<div id="wrapper">
	<div id="header"><a href="/"><img src="${f:url('/images/logo_mini.gif')}" alt="Save The Memory" border="0" /></a>
		<%--ボタン表示 --%>
		<div style="width:590px;position:absolute;bottom:10px;right:0px">
		<table class="normal" border="0">
					<tr height="20px" >
					<td align="right" >
							<input type="button" name="dummy_reset" value="リセット" onclick="resetSubmit();" style="width:100px"/>
					</td>
					<td align="right">
							<input type="submit" name="search" value="検索" style="width:100px" />
					</td>
					<td align="right" width="390px">&nbsp;
					<span style="display: none;"> 
							<input type="submit" id="reset" name="reset"/>
					</span> 
					</td>
					</tr>
		</table>
		</div>
	</div>
	<div id="main">
		<div class="normal">検索条件を入力し、検索ボタンを押してください。<br/>
		条件を入力しない場合は対象自治体の全件が表示されます。</div><br/>
		<div class="strong" style="color:#0b9ad8;">申請情報検索条件入力</div>

<table cellspacing="0" cellpadding="3" border="1 solid" class="normal">

	<tr height="35px" valign="middle">
		<td width="150px" style="background-color:#e0ffff">市町村名</td>
		<td width="400px" align="left">
				<div>
					&nbsp;${f:h(shichousonName)}&nbsp;
				</div>
		</td>
	</tr>
	<tr height="35px" valign="middle">
		<td width="150px" style="background-color:#e0ffff">申請No</td>
		<td width="400px" align="left">
			<table cellspacing="0" cellpadding="3" border="0" class="normal">
				<tr>
				<td><html:radio property="shinseiNoRadio" value = "1"/>一意検索</td>
				<td><html:text property="search_shinseiNo_EQ" style="width:100px" /></td>
				</tr>
			<tr>
				<td><html:radio property="shinseiNoRadio" value = "2"/>範囲指定</td>
				<td>
				<div>
					<html:text property="search_shinseiNo_GE" style="width:100px" />
					&nbsp;から&nbsp;<html:text property="search_shinseiNo_LE" style="width:100px"/>
				</div>
				</td>
			</tr>
			</table>
			<div><html:errors property="search_shinseiNo_EQ"/></div>
		</td>
	</tr>
	<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">氏名</td>
			<td width="400px" align="left">
				<div>
					&nbsp;姓&nbsp;<html:text property="shinseiNameSei" style="width:100px" />
					&nbsp;名&nbsp;<html:text property="shinseiNameMei" style="width:100px" />
				</div>
				<div><html:errors property="shinseiNameSei"/></div>
				<div><html:errors property="shinseiNameMei"/></div>
			</td>
	</tr>
	<tr height="35px" valign="middle">
		<td width="150px" style="background-color:#e0ffff">フリガナ</td>
		<td width="400px" align="left">
			<div>
				&nbsp;セイ&nbsp;<html:text property="shinseiFuriganaSei" style="width:100px" />
				&nbsp;メイ&nbsp;<html:text property="shinseiFuriganaMei" style="width:100px" />
			</div>
			<div><html:errors property="shinseiFuriganaSei"/></div>
			<div><html:errors property="shinseiFuriganaMei"/></div>
		</td>
	</tr>
	<tr height="35px" valign="middle">
		<td width="150px" style="background-color:#e0ffff">電話番号</td>
		<td width="400px" align="left">
			<div>
			<html:text property="search_telNo1_EQ" style="width:50px" maxlength="4"/>
			&nbsp;-&nbsp;<html:text property="search_telNo2_EQ" style="width:50px" maxlength="4"/>
			&nbsp;-&nbsp;<html:text property="search_telNo3_EQ" style="width:50px" maxlength="4"/>
			</div>
			<div><html:errors property="search_telNo1_EQ"/></div>
			<div><html:errors property="search_telNo2_EQ"/></div>
			<div><html:errors property="search_telNo3_EQ"/></div>
		</td>
	</tr>
<%--
	<tr height="35px" valign="middle">
		<td width="150px" style="background-color:#e0ffff">生年月日（2011/01/01）</td>
		<td width="400px" align="left">
			<div><html:text property="search_birthday_EQ" style="width:150px"/></div>
			<div><html:errors property="search_birthday_EQ"/></div>
		</td>
	</tr>

	<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">性別</td>
			<td width="400px" align="left">
			<div>
			<html:select property="search_sex_EQ">
				<html:option value=""></html:option>
				<html:option value="0" >男性</html:option>
				<html:option value="1">女性</html:option>
			</html:select>
			</div>
		</td>	
	</tr>
 --%>
</table>

<!-- ***********　現住所 ********************************************* -->
	
	<div class="normal" style="margin-top:10px;font-weight:bold;">現住所</div>
	<table cellspacing="0" cellpadding="3" border="1 solid" class="normal">
	<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">郵便番号</td>
			<td width="400px" align="left">
				<div>〒
					<html:text property="search_genJushoJushoZipCode_EQ" style="width:70px"  maxlength="7"/>
				</div>
				<div>'-'をつけず、7桁で入力してください。 例) 0010001</div>
				<div><html:errors property="search_genJushoJushoZipCode_EQ"/></div>
				
			</td>
	</tr>
<%--	
	<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">都道府県</td>
			<td width="400px" align="left">
				<div>
				<html:select property="search_genJushoJushoPrefecture_EQ" value="${search_genJushoJushoPrefecture_EQ}">
					<html:option value=""></html:option>
					<html:option value="北海道">北海道</html:option>
					<html:option value="青森県">青森県</html:option>
					<html:option value="岩手県">岩手県</html:option>
					<html:option value="宮城県">宮城県</html:option>
					<html:option value="秋田県">秋田県</html:option>
					<html:option value="山形県">山形県</html:option>
					<html:option value="福島県">福島県</html:option>
					<html:option value="茨城県">茨城県</html:option>
					<html:option value="栃木県">栃木県</html:option>
					<html:option value="群馬県">群馬県</html:option>
					<html:option value="埼玉県">埼玉県</html:option>
					<html:option value="千葉県">千葉県</html:option>
					<html:option value="東京都">東京都</html:option>
					<html:option value="神奈川県">神奈川県</html:option>
					<html:option value="新潟県">新潟県</html:option>
					<html:option value="富山県">富山県</html:option>
					<html:option value="石川県">石川県</html:option>
					<html:option value="福井県">福井県</html:option>
					<html:option value="山梨県">山梨県</html:option>
					<html:option value="長野県">長野県</html:option>
					<html:option value="岐阜県">岐阜県</html:option>
					<html:option value="静岡県">静岡県</html:option>
					<html:option value="愛知県">愛知県</html:option>
					<html:option value="三重県">三重県</html:option>
					<html:option value="滋賀県">滋賀県</html:option>
					<html:option value="京都府">京都府</html:option>
					<html:option value="大阪府">大阪府</html:option>
					<html:option value="兵庫県">兵庫県</html:option>
					<html:option value="奈良県">奈良県</html:option>
					<html:option value="和歌山県">和歌山県</html:option>
					<html:option value="鳥取県">鳥取県</html:option>
					<html:option value="島根県">岡山県</html:option>
					<html:option value="岡山県">岡山県</html:option>
					<html:option value="広島県">広島県</html:option>
					<html:option value="山口県">山口県</html:option>
					<html:option value="徳島県">徳島県</html:option>
					<html:option value="香川県">香川県</html:option>
					<html:option value="愛媛県">愛媛県</html:option>
					<html:option value="高知県">高知県</html:option>
					<html:option value="福岡県">福岡県</html:option>
					<html:option value="佐賀県">佐賀県</html:option>
					<html:option value="長崎県">長崎県</html:option>
					<html:option value="熊本県">熊本県</html:option>
					<html:option value="大分県">大分県</html:option>
					<html:option value="宮崎県">宮崎県</html:option>
					<html:option value="鹿児島県">鹿児島県</html:option>
					<html:option value="沖縄県">沖縄県</html:option>
				</html:select>
				</div>
				<html:errors property="search_genJushoJushoPrefecture_EQ"/>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">市区郡町村</td>
			<td width="400px" align="left">
				<div><html:text property="genJushoJushoCity" style="width:400px"/></div>
				<html:errors property="genJushoJushoCity"/>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">番地・号</td>
			<td width="400px" align="left">
				<div><html:text property="genJushoJushoBantiGou" style="width:400px"/></div>
				<html:errors property="genJushoJushoBantiGou"/>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">建物・部屋番号</td>
			<td width="400px" align="left">
				<div><html:text property="genJushoJushoTatemono" style="width:400px"/></div>
				<html:errors property="genJushoJushoTatemono"/>
			</td>
		</tr>
--%>
		</table>	
<!-- ***********　住民票住所 ********************************************* -->
		<div class="normal" style="margin-top:10px;font-weight:bold;">住民票住所</div>
		<table cellspacing="0" cellpadding="3" border="1 solid" class="normal"">
		<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">郵便番号</td>
			<td width="400px" align="left">
				<div>〒
					<html:text property="search_juuminhyouJushoZipCode_EQ" style="width:70px" maxlength="7"/>
				</div>
				<div>'-'をつけず、7桁で入力してください。 例) 0010001</div>
				<div><html:errors property="search_juuminhyouJushoZipCode_EQ"/></div>
			</td>
		</tr>
<%-- 
		<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">都道府県</td>
			<td width="400px" align="left">
				<div>
				<html:select property="search_juuminhyouJushoPrefecture_EQ" value="${search_juuminhyouJushoPrefecture_EQ}">
					<html:option value=""></html:option>
					<html:option value="北海道">北海道</html:option>
					<html:option value="青森県">青森県</html:option>
					<html:option value="岩手県">岩手県</html:option>
					<html:option value="宮城県">宮城県</html:option>
					<html:option value="秋田県">秋田県</html:option>
					<html:option value="山形県">山形県</html:option>
					<html:option value="福島県">福島県</html:option>
					<html:option value="茨城県">茨城県</html:option>
					<html:option value="栃木県">栃木県</html:option>
					<html:option value="群馬県">群馬県</html:option>
					<html:option value="埼玉県">埼玉県</html:option>
					<html:option value="千葉県">千葉県</html:option>
					<html:option value="東京都">東京都</html:option>
					<html:option value="神奈川県">神奈川県</html:option>
					<html:option value="新潟県">新潟県</html:option>
					<html:option value="富山県">富山県</html:option>
					<html:option value="石川県">石川県</html:option>
					<html:option value="福井県">福井県</html:option>
					<html:option value="山梨県">山梨県</html:option>
					<html:option value="長野県">長野県</html:option>
					<html:option value="岐阜県">岐阜県</html:option>
					<html:option value="静岡県">静岡県</html:option>
					<html:option value="愛知県">愛知県</html:option>
					<html:option value="三重県">三重県</html:option>
					<html:option value="滋賀県">滋賀県</html:option>
					<html:option value="京都府">京都府</html:option>
					<html:option value="大阪府">大阪府</html:option>
					<html:option value="兵庫県">兵庫県</html:option>
					<html:option value="奈良県">奈良県</html:option>
					<html:option value="和歌山県">和歌山県</html:option>
					<html:option value="鳥取県">鳥取県</html:option>
					<html:option value="島根県">岡山県</html:option>
					<html:option value="岡山県">岡山県</html:option>
					<html:option value="広島県">広島県</html:option>
					<html:option value="山口県">山口県</html:option>
					<html:option value="徳島県">徳島県</html:option>
					<html:option value="香川県">香川県</html:option>
					<html:option value="愛媛県">愛媛県</html:option>
					<html:option value="高知県">高知県</html:option>
					<html:option value="福岡県">福岡県</html:option>
					<html:option value="佐賀県">佐賀県</html:option>
					<html:option value="長崎県">長崎県</html:option>
					<html:option value="熊本県">熊本県</html:option>
					<html:option value="大分県">大分県</html:option>
					<html:option value="宮崎県">宮崎県</html:option>
					<html:option value="鹿児島県">鹿児島県</html:option>
					<html:option value="沖縄県">沖縄県</html:option>
				</html:select>
		</div>
				<html:errors property="search_juuminhyouJushoPrefecture_EQ"/>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">市区郡町村</td>
			<td width="400px" align="left">
				<div><html:text property="juuminhyouJushoCity" style="width:400px"/></div>
				<html:errors property="juuminhyouJushoCity"/>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">番地・号</td>
			<td width="400px" align="left">
				<div><html:text property="juuminhyouJushoBantiGou" style="width:400px"/></div>
				<html:errors property="juuminhyouJushoBantiGou"/>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">建物・部屋番号</td>
			<td width="400px" align="left">
				<div><html:text property="juuminhyouJushoTatemono" style="width:400px"/></div>
				<html:errors property="juuminhyouJushoTatemono"/>
			</td>
		</tr>
--%>
		</table>
		
<!-- ********** その他 ********************************************* -->		
		<table cellspacing="0" cellpadding="3" border="1 solid" class="normal" style="margin-top:10px;">
		<tr height="35px" valign="middle">
			<td width="150px" style="background-color:#e0ffff">メールアドレス</td>
			<td width="400px" align="left">
				<div><html:text property="mailAddress" style="width:400px" maxlength="128"/></div>
				<html:errors property="mailAddress"/>
			</td>
		</tr>
<%-- 
		<tr valign="middle">
			<td width="150px" style="background-color:#e0ffff">メッセージ</td>
			<td width="400px" align="left">
				<html:textarea property="shinseishaComment" rows="5" style="width:400px"/>
			</td>
		</tr>
 --%>
		<tr>
			<td width="150px" style="background-color:#e0ffff">申請ステータス</td>
			<td width="400px" align="left">
			<div>
			<html:select property="search_shinseiStatus_EQ" value="${search_shinseiStatus_EQ}">
				<html:option value=""></html:option>
				<html:option value="0" >申請中</html:option>
				<html:option value="1">引渡済</html:option>
			</html:select>
			</div>
			</td>
		</tr>	
		<tr>
		<td width="150px" style="background-color:#e0ffff">デジタルステータス</td>
			<td width="400px" align="left">
			<div>
			<html:select property="search_digitalStatus_EQ" value="${search_digitalStatus_EQ}">
				<html:option value=""></html:option>
				<html:option value="0" >未返却</html:option>
				<html:option value="1">返却済</html:option>
			</html:select>
			</div>
		</td>	
	</tr>
</table>

<div id="footer">
<table class="normal" border="0">
			<tr height="20px" >
			<td align="right" width="350px"></td>
			<td align="right" >
				<input type="button" name="dummy_reset" value="リセット" onclick="resetSubmit();" style="width:100px"/>
			</td>
			<td align="right">
				<input type="submit" name="search" value="検索" style="width:100px" />
			</td>
			<td align="right">&nbsp;
					<span style="display: none;"> 
							<input type="submit" id="reset" name="reset"/>
					</span> 
			</td>
</table>

<!--footer--></div>

<!--main--></div>
<!--wrapper--></div>
</s:form>
</body>
</html>