package jp.savethememory.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.seasar.framework.aop.annotation.Trace;

@Trace
@Entity
@Table(name="tb_tag")
public class TbTag {

    /**
     * タグの文面（例：「結婚式」）
     */
    @Column(name = "name")
    private String name;

    /**
     * nameをリターンする.
     * @return name
     */
    public String getName() {
        return name;
    }

    /**
     * nameをセットする.
     * @param name name フィールドにセットする name
     */
    public void setName(String name) {
        this.name = name;
    }


}
