<%@page pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head>
<title>日付検索</title>
<meta http-equiv="Content-Style-Type" content="text/css" /> 
<meta http-equiv="Content-Script-Type" content="text/javascript" /> 
<link rel="stylesheet" type="text/css" href="${f:url('/css/stmp.css')}" />
<link rel="stylesheet" type="text/css" href="${f:url('/css/jquery-ui-1.8.16.custom.css')}" />
<link rel="stylesheet" type="text/css" href="${f:url('/css/jquery.alerts.css')}" />
<script language="javascript" type="text/javascript">
function generateDay(f) {
	//選択されている年
	var yvalue = document.getElementById(f + 'Year').options[document.getElementById(f + 'Year').selectedIndex].value;
	//選択されている月
	var mvalue = document.getElementById(f + 'Month').options[document.getElementById(f + 'Month').selectedIndex].value;  
  
  if(yvalue != -1 && mvalue != -1){
	//選択されている年
	var y = document.getElementById(f + 'Year').options[document.getElementById(f + 'Year').selectedIndex].text;
	//選択されている月
	var m = document.getElementById(f + 'Month').options[document.getElementById(f + 'Month').selectedIndex].text;  
	
	// 閏年判定　月の最終日を設定
	if (2 == m && (0 == y % 400 || (0 == y % 4 && 0 != y % 100))) {
		var last = 29;
	} else {
		var last = new Array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31)[m - 1];
	}
  } else {
	  var last = 31;
  }

  // 要素取得と初期化
  obj = document.getElementById(f + 'Day');
  obj.length = 0;

  obj.options[obj.length++] = new Option(' ',-1);
  //  日の要素生成
  for (var i = 0; i < last; i++) {
    obj.options[obj.length++] = new Option(i + 1, i + 1);
  }
}

function gotoFaceSearchWithNone(){
	window.location = "faceSearch?facePictureContentId=none";
}

</script>
<script type="text/javascript" src="${f:url('/js/jquery-1.6.2.min.js')}"></script>
<script type="text/javascript" src="${f:url('/js/jquery-ui-1.8.16.custom.min.js')}"></script>
<script type="text/javascript" src="${f:url('/js/jquery.alerts.js')}"></script>
<script type="text/javascript" src="${f:url('/js/preimg.js')}"></script>
<script type="text/javascript" src="${f:url('/js/stmp.js')}"></script>
</head>
<body>
<fmt:setBundle basename="stmp" var="resource" />
<fmt:message bundle="${resource}" key="stm_top_url" var="top_url"/>
<fmt:message bundle="${resource}" key="stm_about_url" var="about_url"/>
<fmt:message bundle="${resource}" key="stm_inq_url" var="inq_url"/>
<fmt:message bundle="${resource}" key="stm_faq_url" var="faq_url"/>
<s:form method="POST">
<div id="wrapper">
	<div id="header">
	<a href="${top_url}"><img src="${f:url('/images/logo.jpg')}" alt="Save The Memory" style="border:0;absmiddle" /></a>
	<div style="position:absolute;bottom:10px;right:0px">
		<table cellspacing="0" cellpadding="0" border="0" class="normal">
		<tr height="30px" >
		<td align="right" width="400px" class="normal">選択枚数：
		<span class="count" id="count"><c:out value="${selectedCount}"/></span>&nbsp;枚
		</td>
		</tr>
		</table>
	</div>
	</div>
	<div id="sub_header" >
	<div class="normal"><a href="${top_url}">トップ</a>
	&nbsp;&nbsp;&gt;&nbsp;&nbsp;<a href="/stmp/municipalityList/">サポートしている自治体</a>
	&nbsp;&nbsp;&gt;&nbsp;&nbsp;検索</div>
	<!--sub_header--></div>
	<div id="main">
	<c:if test="${searchMessage != null}">
		<div class="normal" style="margin-bottom:10px;color:red">
			<c:out value="${searchMessage}" />
		</div>
	</c:if>
	<div class="normal" style="margin-top:10px;font-weight:bold;color:#0b9ad8">
	<img src="${f:url('/images/arrow_2.gif')}" align="absmiddle"/>
	写真の閲覧はこちら （写真の登録時期、またはキーワードでの検索が可能です）
	</div>
	<div class="normal" style="background-color:#dcdcdc;margin-left:auto;margin-right:auto;margin-top:10px;width:940px;font-weight:bold">
	<label for="date_search"><html:radio styleId="date_search" property="searchCondition" value="0"/>
	写真の登録時期を選んでください（未指定可）
	</label>
	</div>
	<div class="normal" style="margin-left:auto;margin-right:auto;margin-top:10px;">
		<c:if test="${dateErrMessage != null}">
			<div class="normal" style="margin-bottom:10px;color:red">
				<c:forEach var="msg" items="${dateErrMessage}">
					<c:out value="${msg}" /><br/>
				</c:forEach>
			</div>
		</c:if>
		
		<html:select property="fromYear" styleId="fromYear" onchange="generateDay('from')">
			<html:option value="-1">&nbsp;</html:option>
			<% for(int fromYear=2011;fromYear<=2015;fromYear++){%>
			<html:option value='<%=String.valueOf(fromYear)%>'><%=fromYear%></html:option>
			<%}%>
		</html:select>&nbsp;年&nbsp;
		<html:select property="fromMonth" styleId="fromMonth" onchange="generateDay('from')">
			<html:option value="-1">&nbsp;</html:option>
			<% for(int fromMonth=1;fromMonth<=12;fromMonth++){%>
			<html:option value="<%=String.valueOf(fromMonth)%>"><%=fromMonth%></html:option>
			<%}%>
		</html:select>&nbsp;月&nbsp;
		<html:select property="fromDay" styleId="fromDay">
			<html:option value="-1">&nbsp;</html:option>
			<% for(int fromDay=1;fromDay<=31;fromDay++){%>
			<html:option value="<%=String.valueOf(fromDay)%>"><%=fromDay%></html:option>
			<%}%>
		</html:select>&nbsp;日&nbsp;から&nbsp;&nbsp;
		<html:select property="toYear" styleId="toYear" onchange="generateDay('to')">
			<html:option value="-1">&nbsp;</html:option>
			<% for(int toYear=2011;toYear<=2015;toYear++){%>
			<html:option value="<%=String.valueOf(toYear)%>"><%=toYear%></html:option>
			<%}%>
		</html:select>&nbsp;年&nbsp;
		<html:select property="toMonth" styleId="toMonth" onchange="generateDay('to')">
			<html:option value="-1">&nbsp;</html:option>
			<% for(int toMonth=1;toMonth<=12;toMonth++){%>
			<html:option value="<%=String.valueOf(toMonth)%>"><%=toMonth%></html:option>
			<%}%>
		</html:select>&nbsp;月&nbsp;
		<html:select property="toDay" styleId="toDay" >
			<html:option value="-1">&nbsp;</html:option>
			<% for(int toDay=1;toDay<=31;toDay++){%>
			<html:option value="<%=String.valueOf(toDay)%>"><%=toDay%></html:option>
			<%}%>
		</html:select>&nbsp;日&nbsp;までを対象とする
	</div>
	
	<div class="normal" style="background-color:#dcdcdc;margin-left:auto;margin-right:auto;margin-top:10px;width:940px;font-weight:bold">
	<label for="free_search"><html:radio styleId="free_search" property="searchCondition" value="1"/>
	人の名前や出来事など検索したい語句を入力してください（例1：理光太郎 例2：入学式）
	</label>
	</div>
	<div class="normal" style="margin-top:10px;">
	<html:text property="freeText" styleId="freeText" maxlength="50" style="width:400px" />
	</div>
	
	<div class="normal" style="background-color:#dcdcdc;margin-left:auto;margin-right:auto;margin-top:10px;width:940px;font-weight:bold">
	<label for="tag_search"><html:radio styleId="tag_search" property="searchCondition" value="2"/>
	リストから、写真の分類を選択して検索できます
	</label>
	</div>
	<div class="normal" style="margin-left:auto;margin-right:auto;margin-top:10px;">
	<html:select property="tag" styleId="tag" style="width:150px;">
			<c:forEach var="tag" items="${tagList}" varStatus="status">
			<html:option value="${tag.name}">${tag.name}</html:option>
			</c:forEach>
	</html:select>
	</div>	
	
	<div class="normal" style="background-color:#dcdcdc;margin:20px auto 10px auto;width:940px;font-weight:bold">表示する画像の大きさを選択してください</div>
	<div class="normal">
		<label for="radio1"><html:radio styleId="radio1" property="pictureSize" value="0"/>小さな画像で表示</label>
		<label for="radio2"><html:radio styleId="radio2" property="pictureSize" value="1"/>大きな画像で表示</label>
	</div>
	<div style="margin-top:20px">
	<s:submit property="searchPictureList" value=" "
				style="background:url('${f:url('/images/btn_search_mini_n.gif')}') left top no-repeat;border:0;width:100px;height:25px" 
				onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_search_mini_r.gif')})'" 
				onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_search_mini_n.gif')})'"/>
	</div>
	<input type="hidden" name="searchType" value="0"/>
	</s:form>
	<s:form method="POST">
	<br />
	<div class="normal" style="border-top: 2px dotted #bec0c4;padding-top:10px;">
	<c:if test="${bookmarkMessage != null}">
		<div class="normal" style="margin-bottom:10px;color:red">
			<c:out value="${bookmarkMessage}" />
		</div>
	</c:if>
	<img src="${f:url('/images/arrow_2.gif')}" align="absmiddle"/>
	<span style="font-weight:bold;color:#0b9ad8">しおりをお持ちの方はこちら</span>
	</div>
	<div class="normal" style="background-color:#dcdcdc;margin-left:auto;margin-right:auto;margin-top:10px;width:940px;font-weight:bold">
	しおりを使って以前見たページから表示する場合は、こちらに登録した電話番号('-'無し)を入力してください
	</div>
	<div style="margin-top:10px;">
	<div class="normal" style="margin-bottom:10px;"><html:errors property="bookmarkKey"/></div>
	<html:text property="bookmarkKey" styleId="bookmarkKey" maxlength="11" style="width:100px;ime-mode: disabled" />
	&nbsp;<s:submit property="searchPictureListWithBookmark" value=" " 
		style="background:url('${f:url('/images/btn_shiori_n.gif')}') left top no-repeat;border:0;width:120px;height:25px"
		onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_shiori_r.gif')})'" 
		onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_shiori_n.gif')})'"/>
	</div>
	<input type="hidden" name="searchType" value="0"/>
	
	<br />
	<div class="normal" style="border-top: 2px dotted #bec0c4;padding-top:10px;">
	<img src="${f:url('/images/arrow_2.gif')}" align="absmiddle"/>
	<span style="font-weight:bold;color:#0b9ad8">顔で検索したい方はこちら</span>
	</div>
	<div class="normal" style="background-color:#dcdcdc;margin-left:auto;margin-right:auto;margin-top:10px;width:940px;font-weight:bold">
	顔写真を元に似ている写真を検索できます
	</div>
	<div style="margin-top:10px;">
	<div class="normal" style="margin-bottom:10px;"><html:errors property="bookmarkKey"/></div>
	<input type="button" style="background:url('${f:url('/images/btn_tofacesearch_n.gif')}') left top no-repeat;border:0;width:100px;height:25px;" 
			onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_tofacesearch_r.gif')})'" 
			onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_tofacesearch_n.gif')})'"
			onclick="gotoFaceSearchWithNone()"	/>
	</div>
	
	
	<!--main--></div>
	<div id="footer">
		<a href="${top_url}${about_url}" class="normal" style="padding-right:20px">セーブ・ザ・メモリープロジェクトについて</a>
		<a href="${top_url}${inq_url}" class="normal" style="padding-right:20px">お問い合わせ</a>
		<a href="${top_url}${faq_url}" class="normal" style="padding-right:20px">よくあるご質問</a>
	</div>
<!--wrapper--></div>
</s:form>
</body>
</html>