<%@page pageEncoding="UTF-8"%>
<tiles:insert template="/WEB-INF/view/pictureList/listLayout.jsp" flush="true">
<tiles:put name="content" type="string">
<div class="content">
<input type="hidden" id="focusBlock" value="0">
	<div style="list-style:none;width:940px;margin:0px;padding:0px;" class="normal">
		<c:forEach var="content" items="${contentList}" varStatus="status">
			<c:set var="id" value="" />
			<c:set var="style" value="clear:both;border-top: 2px solid #bec0c4;" />
			<c:if test="${status.first}">
				<c:set var="id" value="first_block" />
				<c:set var="style" value="clear:both;height:2px" />
			</c:if>
   		<c:if test="${searchType == 0 && content.anchorCount != -1}">
				<div style="${style}"><a id="${id}" class="picture_block"></a></div>
			</c:if>
			<c:choose>
			<c:when test="${content.isPublicPhoto == false}">
				<div id="list_${content.titlePrefix}" class="list_${content.titlePrefix} list" style="display:block;float:left;width:220px;height:300px;margin:10px 5px;padding-top:15px;">
			</c:when>
			<c:otherwise>
				<div id="list_${content.titlePrefix}" class="list_public_${content.titlePrefix} list" style="position:relative;display:block;float:left;width:220px;height:300px;margin:10px 5px;padding-top:15px;">
				<div style="position:absolute;top:2px;left:2px;color:gray;font-size:9px" >原本無し</div>
			</c:otherwise>
			</c:choose>
				<div style="width:220px;height:200px;display:table-cell;text-align:center;vertical-align:middle;layout-grid-line:200px;">
					<a href="" onclick="return false;" class="popup" id="link_view_pera_${content.id}"><img src="/stmp/imageGet/getThumbnail/${content.id}" id="smallpicture_${content.id}" class="smallpicture" /></a>
				</div>
				<div style="width:200px;margin:5px auto;">

					<table border="0" cellpadding="0" cellspacing="0">
					<tr style="height:25px;" valign="top">
					<td style="width:69px;">
					<c:if test="${content.canSelect == true}">
							<input type="button" title="写真を選択" id="check_${content.id}" name="multibox" disabled="disabled" class="check_${content.titlePrefix} select_photo_n" style="width: 69px;"/>
							<input type="hidden" id="hidden_count_${content.id}" name="hidden_count_${content.id}" value="${content.albumContentsCount}"  />
					</c:if>
					</td>
					<td style="width:30px;">
						<c:if test="${content.isHasFace}">
							<input type="button" title="顔検索" id="faceSearch_${content.id}" style="border:0px; width: 30px; height:25px; background:url(${f:url('/images/btn_tofacesearch_icon_n.gif')}) left top no-repeat;; "
							onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_tofacesearch_icon_r.gif')})'"
							onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_tofacesearch_icon_n.gif')})'"
							onclick="gotoFaceSearch(${content.id})"
							/>
						</c:if>
						<c:if test="${!content.isHasFace}">
							<input type="button" title="顔が見つかりません" id="faceSearch_${content.id}" style="border:0px; width: 30px; height:25px; background:url(${f:url('/images/btn_tofacesearch_icon_d.gif')}) left top no-repeat;"
							disabled="disabled"
							/>
						</c:if>
					</td>
					<td style="width:69px;">
					<c:choose>
		 				<c:when test="${content.albumContentsCount > 1}">
							<div id="view_album_${content.id}" class="view_album"
								style="z-index:1;position:relative;cursor: default;
									background:url('/stmp/images/btn_album_n.gif')  left top no-repeat;border:0;width:69px;	height:25px;"
								 	onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_album_r.gif')})'"
									onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_album_n.gif')})'">
							<input type="button" title="アルバムの写真を表示"  style=" z-index:2;filter: alpha(opacity=0);border:0;width:69px;height:25px;"/>
							<span style="z-index:0;position:absolute;bottom:3px;right:2px;width:40px;text-align:center;">${content.albumContentsCount}枚</span>
							</div>
						</c:when>
						<c:otherwise>
							<input type="button" title="写真を拡大"  id="view_pera_${content.id}" name="view_pera" class="popup" value=" "
								style="background:url('/stmp/images/btn_pera_n.gif')  left top no-repeat;	border:0;width:69px;height:25px;"
								onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_pera_r.gif')})'"
								onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_pera_n.gif')})'"/>
						</c:otherwise>
					</c:choose>
					</td>
					<td style="width:30px;">
					<input type="button" title="コメント全文表示・入力" name="open_summary_dialog" id="open_summary_dialog_${content.id}" value=" "
					style="background:url('/stmp/images/btn_comment_n.gif')  left top no-repeat;border:0;width:30px;height:25px;"
					onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_comment_r.gif')})'"
					onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_comment_n.gif')})'"/>
					<html:hidden property="summary_hidden" styleId="summary_hidden_${content.id}" value="${f:br(f:h(content.summary))}" />
					</td>
					</tr>
					</table>
					<div style="margin-top:10px;">${content.title}</div>
					<div>
						<fmt:formatDate value="${content.published}" pattern="yyyy/MM/dd"/>
					</div>
					<div class="summary small" style="width:200px" id="summary_${content.id}" >${f:h(content.summary)}</div>

				</div>
			</div>
		</c:forEach>
	</div>
<div style="clear:both"><a id="last_block" class="picture_block"></a></div>
<!-- content --></div>
</tiles:put>
</tiles:insert>