<%@page pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head>
<meta http-equiv="Content-Style-Type" content="text/css" /> 
<meta http-equiv="Content-Script-Type" content="text/javascript" /> 
<link rel="stylesheet" type="text/css" href="${f:url('/css/stmp.css')}" />
<title>申請完了</title>
<link rel="stylesheet" type="text/css" href="${f:url('/css/default.css')}" />
</head>
<body>
<fmt:setBundle basename="stmp" var="resource" />
<fmt:message bundle="${resource}" key="stm_top_url" var="top_url"/>
<fmt:message bundle="${resource}" key="stm_about_url" var="about_url"/>
<fmt:message bundle="${resource}" key="stm_inq_url" var="inq_url"/>
<fmt:message bundle="${resource}" key="stm_faq_url" var="faq_url"/>
<div id="wrapper">
	<div id="header"><a href="${top_url}"><img src="${f:url('/images/logo.jpg')}" alt="Save The Memory" /></a></div>
	<div id="main">
	<c:choose>
	<c:when test="${shinseiNo == 0}">
		<div class="normal">選択された写真はいずれも申請できませんでした。既に他の方が申請された可能性があります。</div>
		<div style="margin-top:10px;">
			<s:form method="POST">
			<s:submit property="toPictureList" value=" " clientValidate="true" 
				style="background:url('${f:url('/images/btn_next_n.gif')}') left top no-repeat;border:0;width:100px;height:25px"
				onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_next_r.gif')})'" 
				onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_next_n.gif')})'"/>
			</s:form>
		</div>
	</c:when>

	<c:otherwise> 
		<div class="normal">下記の情報で写真の申請を行いました。申請番号をメモするようお願いいたします。</div>
		<div class="normal">選択された写真の枚数：<c:out value="${selectedCount}"/>
		&nbsp;&nbsp;&nbsp;申請できた写真の枚数：<c:out value="${resultCount}"/></div>
		<br/>
		<div class="strong" style="font-size:20px;">申請番号：&nbsp;<c:out value="${shinseiNo}"/></div>
		<div class="strong" style="color:#0b9ad8;margin-top:20px">送付先情報</div>
		<table class="shippingtable normal" style="margin-top:15px;">
		<tr>
			<td class="head">氏名</td>
			<td class="data">
				<c:out value="${lastName}"/>
				<c:out value="${firstName}"/>
			</td>
		</tr>
		<tr>
			<td class="head">フリガナ</td>
			<td class="data">
				<c:out value="${lastNameKana}"/>
				<c:out value="${firstNameKana}"/>
			</td>
		</tr>
		<tr>
			<td class="head">電話番号</td>
			<td class="data">
				<c:out value="${telNo1}"/><c:out value="${telNo2}"/><c:out value="${telNo3}"/>&nbsp;
			</td>
		</tr>
		<tr>
			<td class="head">生年月日</td>
			<td class="data">
				西暦&nbsp;<c:out value="${birthdayYear}"/>&nbsp;年&nbsp;<c:out value="${birthdayMonth}"/>&nbsp;月&nbsp;<c:out value="${birthdayDay}"/>&nbsp;日&nbsp;
			</td>
		</tr>
		<tr>
			<td class="head">性別</td>
			<td class="data">
				<c:choose>
					<c:when test="${sex == 0}">
						<c:out value="男性"/>&nbsp;
					</c:when>
					<c:otherwise>
						<c:out value="女性"/>&nbsp;
					</c:otherwise> 
				</c:choose>
			</td>
		</tr>
		</table>
		<div class="normal" style="margin-top:10px;font-weight:bold;">現住所</div>
		<table class="shippingtable normal">
		<tr>
			<td class="head">郵便番号</td>
			<td class="data">
				〒<c:out value="${presentZipcode}"/>
			</td>
		</tr>
		<tr>
			<td class="head">都道府県</td>
			<td class="data">
				<c:out value="${presentPrefecture}"/>
			</td>
		</tr>
		<tr>
			<td class="head">市区郡町村</td>
			<td class="data">
				<c:out value="${presentCity}"/>
			</td>
		</tr>
		<tr>
			<td class="head">番地・号</td>
			<td class="data">
				<c:out value="${presentAddress}"/>
			</td>
		</tr>
		<tr>
			<td class="head">建物・部屋番号</td>
			<td class="data">
				<c:out value="${presentBuilding}"/>&nbsp;
			</td>
		</tr>
		</table>
		<div class="normal" style="margin-top:10px;font-weight:bold;">住民票住所</div>
		<table class="shippingtable normal">
		<tr>
			<td class="head">郵便番号</td>
			<td class="data">
				〒<c:out value="${residenceCertZipcode}"/>
			</td>
		</tr>
		<tr>
			<td class="head">都道府県</td>
			<td class="data">
				<c:out value="${residenceCertPrefecture}"/>&nbsp;
			</td>
		</tr>
		<tr>
			<td class="head">市区郡町村</td>
			<td class="data">
				<c:out value="${residenceCertCity}"/>&nbsp;
			</td>
		</tr>
		<tr>
			<td class="head">番地・号</td>
			<td class="data">
				<c:out value="${residenceCertAddress}"/>&nbsp;
			</td>
		</tr>
		<tr>
			<td class="head">建物・部屋番号</td>
			<td class="data">
				<c:out value="${residenceCertBuilding}"/>&nbsp;
			</td>
		</tr>
		</table>
		<table class="shippingtable normal" style="margin-top:10px;">
		<tr>
			<td class="head">メールアドレス</td>
			<td class="data">
				<c:out value="${mail}"/>&nbsp;
			</td>
		</tr>
		<tr valign="middle">
			<td class="head">メッセージ</td>
			<td class="data">
				<c:out value="${message}"/>&nbsp;
			</td>
		</tr>
		</table>
		<div align="right" style="margin-top:10px;width:535px">
			<s:form method="POST">
			<s:submit property="toPictureList" value=" " clientValidate="true" 
				style="background:url('${f:url('/images/btn_next_n.gif')}') left top no-repeat;border:0;width:100px;height:25px"
				onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_next_r.gif')})'" 
				onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_next_n.gif')})'"/>
			</s:form>
		</div>
	</c:otherwise>		
	</c:choose>
		
	<!--main--></div>
	<div id="footer">
		<a href="${top_url}${about_url}" class="normal" style="padding-right:20px">セーブ・ザ・メモリープロジェクトについて</a>
		<a href="${top_url}${inq_url}" class="normal" style="padding-right:20px">お問い合わせ</a>
		<a href="${top_url}${faq_url}" class="normal" style="padding-right:20px">よくあるご質問</a>
	</div>
<!--wrapper--></div>
</body>
</html>