package jp.savethememory.manage.form;

import java.io.Serializable;

import jp.savethememory.manage.util.CommonDefine;


import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;
import org.seasar.struts.annotation.Arg;
import org.seasar.struts.annotation.LongType;
import org.seasar.struts.annotation.Mask;

@Component(instance = InstanceType.SESSION)
public class TbShinseiSearchForm implements Serializable{
	
	

	private static final long serialVersionUID = 1L;

	//テーブル上のデータではない
	public String shichousonName = null;
	
	public String search_shichousonCode_EQ = null;
	
	/**
	 * テーブル上のデータではない。
	 * 申請Noの一意検索か範囲指定をするためのラジオボタン
	 */
	public final static String UNIQUE_SEARCH = "1";
	public final static String RANGE_SEARCH = "2";
	public String shinseiNoRadio;
	
	@LongType(arg0=@Arg(key="申請No",resource=false,position=0))
	public String search_shinseiNo_EQ = null;
	public String search_shinseiNo_LE = null;
	public String search_shinseiNo_GE = null;
	
	public String shinseiNameSei = null;
	public String search_shinseiNameSei_LIKE = null;

	public String shinseiNameMei = null;
	public String search_shinseiNameMei_LIKE = null;
	
	public String shinseiFuriganaSei = null;
	public String search_shinseiFuriganaSei_LIKE = null;
	public String shinseiFuriganaMei = null;	
	public String search_shinseiFuriganaMei_LIKE = null;	
	
	
	@Mask(mask="^[0-9]+$",arg0=@Arg(key="電話番号（上）",resource=false,position=0))
	public String search_telNo1_EQ = null;
	@Mask(mask="^[0-9]+$",arg0=@Arg(key="電話番号（中）",resource=false,position=0))
	public String search_telNo2_EQ = null;
	@Mask(mask="^[0-9]+$",arg0=@Arg(key="電話番号（下）",resource=false,position=0))
	public String search_telNo3_EQ = null;
	
//	@Mask(mask="^[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}$",arg0=@Arg(key="生年月日",resource=false,position=0))
//	public String search_birthday_EQ;
//	public Integer search_sex_EQ;
	
	/**   
	 * 住民票の住所情報
	 */
	@Mask(mask="^[0-9]+$",arg0=@Arg(key="郵便番号",resource=false,position=0))
	public String search_juuminhyouJushoZipCode_EQ = "";

//	public String search_juuminhyouJushoPrefecture_EQ = "";
//
//	public String juuminhyouJushoCity = "";
//	public String search_juuminhyouJushoCity_LIKE = "";
//	public String juuminhyouJushoBantiGou = "";
//	public String search_juuminhyouJushoBantiGou_LIKE = "";
//
//	public String juuminhyouJushoTatemono = "";
//	public String search_juuminhyouJushoTatemono_LIKE = "";
	
	

	/**   
	 * 現住所情報
	 */	
//	@Mask(mask="^[0-9]+$",arg0=@Arg(key="郵便番号",resource=false,position=0))
	@Mask(mask="\\d\\d\\d\\d\\d\\d\\d",arg0=@Arg(key="郵便番号",resource=false,position=0))
	public String search_genJushoJushoZipCode_EQ = "";

//	public String search_genJushoJushoPrefecture_EQ = "";
//
//	public String genJushoJushoCity = "";
//	public String search_genJushoJushoCity_LIKE = "";
//
//
//	public String genJushoJushoBantiGou = "";
//	public String search_genJushoJushoBantiGou_LIKE = "";
//	
//	public String genJushoJushoTatemono = "";
//	public String search_genJushoJushoTatemono_LIKE = "";	
	
	
	

	/**   
	 * その他の情報
	 */	
	public String mailAddress = "";
	public String search_mailAddress_LIKE = "";

//	public String shinseishaComment = null;
//	public String search_shinseishaComment_LIKE = null;
	
	
	/** 申請状態 */
	public String search_shinseiStatus_EQ;
	
	/** デジタル返却状態 */
	public String search_digitalStatus_EQ;
	
// public String search_hikiwatashiSyudan_EQ;
	
//	public String search_staffComment_LIKE = "";

	/** 申請一覧ページ番号 **/
	public int page;
	
	public void initialize() {
		search_shinseiStatus_EQ = CommonDefine.SHINSEI_STATUS_SHINSEICHU;
		search_digitalStatus_EQ = CommonDefine.DIGITAL_STATUS_NOT_RETURN;
		shinseiNoRadio = UNIQUE_SEARCH;
		page = 1;
	}
	
	
	

//	@Mask(mask="^[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}$",arg0=@Arg(key="生年月日",resource=false,position=0))
//	public String search_seinengappi_EQ = null;

}