/**
 *
 */
package jp.savethememory.manage.service;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import jp.savethememory.manage.entity.TbFace;

/**
 * tb_faceテーブルに対する操作を行うクラス
 */
public class TbFaceService extends AbstractService<TbFace> {

	protected Log LOGGER = LogFactory.getLog(TbFaceService.class);

	public List<TbFace> findByContentId(String contentId) {
		LOGGER.debug("start-----.");
		List<TbFace> results = null;
		if (contentId == null || ("").equals(contentId)) {
			return results;
		}
		results = jdbcManager.from(TbFace.class).where("contents_id = ?", Long.valueOf(contentId))
			.getResultList();
		LOGGER.debug("end-----.");
		return results;
	}
}
