package jp.savethememory.manage.util;

import jp.savethememory.manage.dto.UserDto;

/**
 * ログインフィルター
 *
 */
public class LoginChecker {

	/**
	 * ログインしているかどうかを確認します。
	 * @param userDto Session上のユーザー情報
	 * @return boolean　ログイン済み：true 未ログイン：false
	 */
	public boolean isLogin(UserDto userDto) {
		boolean isLogin = false;
		if(userDto != null){
			if(userDto.account != null){
				isLogin = true;
			}
		}
		return isLogin;
	}
}
