<%@page pageEncoding="UTF-8"%><html>
<head>
<link rel="stylesheet" type="text/css" href="${f:url('/css/default.css')}" />
<meta http-equiv="Content-Style-Type" content="text/css"> 
<meta http-equiv="Content-Script-Type" content="text/javascript"> 
<script language="javascript" type="text/javascript">

//デフォルトのボタンを保存にしたい。
function redirectListSubmit(){
	document.getElementById("redirectList").click();
}
</script>
<title>申請情報返却処理</title>
</head>
<body>
<s:form method="POST">
<div id="wrapper">
<div id="header">
		<a href="/"><img src="${f:url('/images/logo_mini.gif')}" alt="Save The Memory" border="0" /></a>
		<%--ボタン表示 --%> 
		<div style="width:360px;position:absolute;bottom:10px;right:0px">
		<table class="normal" border="0">
			<tr height="20px" >
			<td align="right">
				<input type="button" name="dummy_redirectList" value="申請一覧へ戻る" onclick="redirectListSubmit();" style="width:140px"/>
			</td>
			<td align="right">
				<input type="submit" name="update" value="保存" style="width:110px"/>
			</td>
			<td align="right" width="110px">
				<span style="display: none;"> 	
					<input type="submit" id="redirectList" name="redirectList"/>
			</span> 	
			</td>
			</tr>
		</table>
		</div>
</div>
<div id="main">
		<div class="normal" style="margin-bottom:10px;color:red;font-weight:bold"><c:out value="${f:h(message)}" /></div>
		<div class="normal">写真のファイル名から原本を探し、返却します。<br/>
		必要な場合はコメント等を入力してください。<br/>
		原本返却済の場合でもコメントは編集できます。<br/>
		原本返却後に写真をダウンロードできます。<br/>
		<c:forEach var="f" varStatus="s" items="${dispSyashinItems}">
		<c:if test="${f.excludeContentsCount > 0}">
		<span style="color:red">アルバム写真の除外申請がありますので確認をお願い致します。</span><br/>
		</c:if>
		</c:forEach>
		</div><br/>
<div class="strong" style="color:#0b9ad8;">申請情報返却処理</div>
<table cellspacing="0" cellpadding="3" border="1 solid" class="normal">
	<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">市町村名</td>
		<td width="625px" align="left">
				<div>
					&nbsp;${f:h(userDto.shichousonName)}&nbsp;
				</div>
		</td>
	</tr>
	<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">申請No</td>
		<td width="625px" align="left">
				<div>
					&nbsp;${f:h(shinseiNo)}
				</div>
		</td>
	</tr>
	<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">申請日</td>
		<td width="625px" align="left">
			<div>&nbsp;${f:h(shinseiDay)}</div>
	</td>
	</tr>
	<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">氏名</td>
			<td width="625px" align="left">
				<div>
					&nbsp;${f:h(shinseiNameSei)}
					&nbsp;${f:h(shinseiNameMei)}
				</div>
			</td>
	</tr>
	<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">フリガナ</td>
		<td width="625px" align="left">
			<div>
				&nbsp;${f:h(shinseiFuriganaSei)}
				&nbsp;${f:h(shinseiFuriganaMei)}
			</div>
		</td>
	</tr>
	<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">電話番号</td>
		<td width="625px" align="left">
			<div>&nbsp;${f:h(telNo1)}-${f:h(telNo2)}-${f:h(telNo3)}</div>
		</td>
	</tr>
	<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">生年月日</td>
		<td width="625px" align="left">
 			<div>&nbsp;${f:h(birthday)}</div>
		</td>
	</tr>
		<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">性別</td>
		<td width="625px" align="left">
			&nbsp;
			<c:if test="${f:h(sex) == '0'}">
				男性
			</c:if>
			<c:if test="${f:h(sex) == '1'}">
				女性
			</c:if>
		</td>
	</tr>
	</table>

<!-- ***********　現住所 ********************************************* -->
	<div class="normal" style="margin-top:10px;font-weight:bold;">現住所</div>
		<table cellspacing="0" cellpadding="3" border="1 solid" class="normal"">
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">郵便番号</td>
			<td width="625px" align="left">
				<div>〒
					${f:h(genJushoJushoZipCode)}
				</div>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">都道府県</td>
			<td width="625px" align="left">
				<div>
				&nbsp;${f:h(genJushoJushoPrefecture)}
			</div>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">市区郡町村</td>
			<td width="625px" align="left">
				<div>&nbsp;${f:h(genJushoJushoCity)}</div>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">番地・号</td>
			<td width="625px" align="left">
				<div>&nbsp;${f:h(genJushoJushoBantiGou)}</div>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">建物・部屋番号</td>
			<td width="625px" align="left">
				<div>&nbsp;${f:h(genJushoJushoTatemono)}</div>
			</td>
		</tr>
		</table>
<!-- ***********　住民票住所 ********************************************* -->
		<div class="normal" style="margin-top:10px;font-weight:bold;">住民票住所</div>
		<table cellspacing="0" cellpadding="3" border="1 solid" class="normal"">
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">郵便番号</td>
			<td width="625px" align="left">
				<div>〒
					${f:h(juuminhyouJushoZipCode)}
				</div>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">都道府県</td>
			<td width="625px" align="left">
				<div>
				&nbsp;${f:h(juuminhyouJushoPrefecture)}
			</div>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">市区郡町村</td>
			<td width="625px" align="left">
				<div>&nbsp;${f:h(juuminhyouJushoCity)}</div>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">番地・号</td>
			<td width="625px" align="left">
				<div>&nbsp;${f:h(juuminhyouJushoBantiGou)}</div>
			</td>
		</tr>
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">建物・部屋番号</td>
			<td width="625px" align="left">
				<div>&nbsp;${f:h(juuminhyouJushoTatemono)}</div>
			</td>
		</tr>
		</table>
		
<!-- ***********　その他 ********************************************* -->
		<table cellspacing="0" cellpadding="3" border="1 solid" class="normal" style="margin-top:10px;">
		<tr height="35px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">メールアドレス</td>
			<td width="625px" align="left">
		 		<div>
		 			&nbsp;${f:h(mailAddress)}
				</div>
			</td>
		</tr>
		<tr height="70px" valign="middle">
			<td width="200px" style="background-color:#e0ffff">メッセージ</td>
			<td width="625px" align="left">
				<div>&nbsp;${f:h(shinseishaComment)}</div>
			</td>
		</tr>
		<tr valign="middle">
			<td width="200px" style="background-color:#e0ffff">自治体コメント</td>
			
			<td width="625px" align="left">
				<html:textarea property="staffComment" rows="5" style="width:625px"/>
			</td>
		</tr>

<%--申請ステータスは引渡済みの場合変更不可とする --%>
		<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">申請ステータス</td>
			<td width="625px" align="left">
			<div>
			<c:if test="${shinseiStatus == 1}" var="flag">
				<div>&nbsp;引渡済</div>
			</c:if>
			</div>
			<div>
			<c:if test="${!flag}">
			<html:select property="shinseiStatus" value="${f:h(shinseiStatus)}">
				<html:option value="0" >申請中</html:option>
				<html:option value="1">引渡済</html:option>
			</html:select>
			</c:if>
			</div>
		</td>	
	</tr>
<%--デジタルステータスは原本引渡済みの場合のみ編集可とする --%>
		<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">デジタルステータス</td>
			<td width="625px" align="left">
			<div>
			<c:if test="${shinseiStatus == 1}" var="flag">
				<c:if test="${digitalStatus != 1}">
				<div>&nbsp;未返却</div>
<%-- 				<html:select property="digitalStatus" value="${f:h(digitalStatus)}"> --%>
<%-- 					<html:option value="0" >未返却</html:option> --%>
<%-- 					<html:option value="1">返却済</html:option> --%>
<%-- 				</html:select> --%>
				</c:if>
				<c:if test="${digitalStatus == 1}">
				<div>&nbsp;返却済</div>
			</c:if>
			</c:if>
			</div>
			<div>
			<c:if test="${!flag}">
				<div>&nbsp;未返却</div>
			</c:if>
			</div>
		</td>	
	</tr>
<%--申請ステータスが引渡済みの場合クオンプIDとパスワードを表示する --%>	
<c:if test="${shinseiStatus == 1}"	>
	<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">quanp&nbsp;ID</td>
		<td width="625px" align="left">
			<div>&nbsp;${f:h(quanpId)}</div>
		</td>
	</tr>
	<tr height="35px" valign="middle">
		<td width="200px" style="background-color:#e0ffff">初期パスワード</td>
		<td width="625px" align="left">
			<div>&nbsp;${f:h(quanpPassword)}</div>
		</td>
	</tr>
</c:if>
</table>
<br/>
<%--ボタン表示 --%>	
<table class="normal" border="0">
			<tr height="20px" >
			<c:if test="${shinseiStatus == 0}"   >
				<td align="right" width="75px">
            	</td>
				<td><font color =red>※原本返却後に写真をダウンロードできます。</font></td>
				<td align="right">
            		<input type="button" onClick="location.href='/stmm/tbShinsei/returnDigitalData/${shinseiNo}'"  disabled = disabled value="全ての写真をダウンロード">
            	</td>
            </c:if>
            <c:if test="${shinseiStatus == 1}"   >
            	<td align="right" width="365px">
            	</td>
            	<td align="right">
            		<input type="button" onClick="location.href='/stmm/tbShinsei/returnDigitalData/${shinseiNo}?<%=System.currentTimeMillis()%>'" value="全ての写真をダウンロード">
            	</td>
            </c:if>
			<td align="right">
				<input type="submit" name="redirectList" value="申請一覧へ戻る" style="width:140px"/>
			</td>
			<td align="right">
				<input type="submit" name="update" value="保存" style="width:110px"/>
			</td>
			</tr>
</table>
<br/><br/>

<div class="normal" style="margin-top:10px;font-weight:bold;">写真一覧（原本あり）&nbsp;&nbsp;計${syashinCount}枚</div>
<c:choose>
	<c:when test="${empty tbSyashinShinseiNoItems}"><div style="margin-top:5px" class="normal">存在しません</div></c:when>
	<c:otherwise>
		<table cellspacing="0" cellpadding="3" border="1 solid" class="normal"">
		<tr height="30px" valign="middle">
			<th width="40" style="background-color:#e0ffff">枚数</th>
			<c:if test="${shinseiStatus == 0}"	>
			<th width="70" style="background-color:#e0ffff">除外写真</th>
			</c:if>
			<th width="70" style="background-color:#e0ffff">写真確認</th>
			<th width="250" style="background-color:#e0ffff">ファイル名</th>
			<th width="100" style="background-color:#e0ffff">コンテンツID</th>
			<th width="100" style="background-color:#e0ffff">原本返却</th>
			<th width="150" style="background-color:#e0ffff">デジタル返却</th>
		</tr>
			<c:forEach var="f" varStatus="s" items="${dispSyashinItems}">
				<tr style="background-color:${s.index %2 == 0 ? 'white' : 'aqua'}">
					<td>&nbsp;${f.albumContentsCount}</td>
					<c:if test="${shinseiStatus == 0}"	>
					<td>&nbsp;
					<c:if test="${f.excludeContentsCount > 0}">${f.excludeContentsCount}枚</c:if>
					</td>
					</c:if>
					<td>&nbsp;
					<c:choose>
					<c:when test="${shinseiStatus == 0 && f.albumContentsCount > 1}">
					<s:link href="/tbShinsei/albumSyashinList/${f.id}&true">確認する</s:link>
					</c:when>
					<c:otherwise>
					<s:link href="/tbShinsei/albumSyashinList/${f.id}&false">確認する</s:link>
					</c:otherwise>
					</c:choose>
<%-- 					<c:if test="${shinseiStatus == 0 && f.albumContentsCount > 1}"> --%>
<%-- 					<s:link href="/tbShinsei/albumSyashinList/${f.id}&true">設定する</s:link> --%>
<%-- 					</c:if> --%>
<%-- 					<c:if test="${shinseiStatus == 1 && f.albumContentsCount > 1}"> --%>
<%-- 					<s:link href="/tbShinsei/albumSyashinList/${f.id}&false">確認する</s:link> --%>
<%-- 					</c:if> --%>
					</td>
					<td>&nbsp;${f.title}
					<c:if test="${f.albumContentsCount > 1}">
					&nbsp;他</c:if>
					</td>
					<td>&nbsp;${f.id}
					<c:if test="${f.albumContentsCount > 1}">
					&nbsp;他</c:if>
					</td>
					<td>
		 			<c:if test="${empty f.returnFlg}">
						&nbsp;未返却
					</c:if>
					<c:if test="${f.returnFlg == false}">
						&nbsp;未返却
					</c:if>
					<c:if test="${f.returnFlg == true}">
						&nbsp;引渡済
					</c:if>
					</td>
					<td>
			 			<c:if test="${empty f.quanpUploadStatus}">
							&nbsp;未返却
						</c:if>
						<c:if test="${f.quanpUploadStatus == 0}">
							&nbsp;未返却
						</c:if>
						<c:if test="${f.quanpUploadStatus == 1}">
							&nbsp;アップロード待ち
						</c:if>
						<c:if test="${f.quanpUploadStatus == 2}">
							&nbsp;アップロード済み
						</c:if>
						<c:if test="${f.quanpUploadStatus == 3}">
							&nbsp;アップロード失敗
						</c:if>
						<c:if test="${f.quanpUploadStatus == 4}">
                            &nbsp;受け渡し済み
                        </c:if>
					</td>
				</tr>
			</c:forEach>
		</table>
	</c:otherwise>
</c:choose>
<br/>
<div class="normal" style="margin-top:10px;font-weight:bold;">写真一覧（原本なし）&nbsp;&nbsp;計${koukaiSyashinCount}枚</div>
<c:choose>
	<c:when test="${empty tbKoukaiSyashinShinseiNoItems}"><div style="margin-top:5px" class="normal">存在しません</div></c:when>
	<c:otherwise>
		<table cellspacing="0" cellpadding="3" border="1 solid" class="normal"">
		<tr height="35px" valign="middle">
			<th width="30" style="background-color:#e0ffff">No</th>
			<th width="270" style="background-color:#e0ffff">ファイル名</th>
			<th width="100" style="background-color:#e0ffff">コンテンツID</th>
			<th width="200" style="background-color:#e0ffff">デジタル返却</th>
		</tr>
			<c:forEach var="f" varStatus="s" items="${tbKoukaiSyashinShinseiNoItems}">
				<tr style="background-color:${s.index %2 == 0 ? 'white' : 'aqua'}">
					<td>&nbsp;${s.count}</td>
					<td>&nbsp;${f.fileName}</td>
					<td>&nbsp;${f.contentsId}</td>
					<td>
			 			<c:if test="${empty f.quanpUploadStatus}">
							&nbsp;未返却
						</c:if>
						<c:if test="${f.quanpUploadStatus == 0}">
							&nbsp;未返却
						</c:if>
						<c:if test="${f.quanpUploadStatus == 1}">
							&nbsp;アップロード待ち
						</c:if>
						<c:if test="${f.quanpUploadStatus == 2}">
							&nbsp;アップロード済み
						</c:if>
						<c:if test="${f.quanpUploadStatus == 3}">
							&nbsp;アップロード失敗
						</c:if>
						<c:if test="${f.quanpUploadStatus == 4}">
							&nbsp;受け渡し済み
						</c:if>
					</td>
				</tr>
			</c:forEach>
		</table>
	</c:otherwise>
</c:choose>

<br/>

<div id="footer">
<%--ボタン表示 --%>	
<table class="normal" border="0">
			<tr height="20px" >
            <c:if test="${shinseiStatus == 0}"   >
            	<td align="right" width="75px">
            	</td>
            	<td><font color =red>※原本返却後に写真をダウンロードできます。</font></td>
            	<td align="right">
            		<input type="button" onClick="location.href='/stmm/tbShinsei/returnDigitalData/${shinseiNo}'"  disabled = disabled value="全ての写真をダウンロード">
            	</td>
            </c:if>
            <c:if test="${shinseiStatus == 1}"   >
            	<td align="right" width="365px">
            	</td>
            	<td align="right">
            		<input type="button" onClick="location.href='/stmm/tbShinsei/returnDigitalData/${shinseiNo}?<%=System.currentTimeMillis()%>'" value="全ての写真をダウンロード">
            	</td>
            </c:if>
			<td align="right">
				<input type="submit" name="redirectList" value="申請一覧へ戻る" style="width:140px"/>
			</td>
			<td align="right">
				<input type="submit" name="update" value="保存" style="width:110px"/>
			</td>
			</tr>
</table>
<!--footer--></div>
<!--main--></div>
<!--wrapper--></div>
</s:form>
</body>
</html>