package jp.savethememory.action;

import java.util.List;

import javax.annotation.Resource;

import jp.savethememory.dto.UserDto;
import jp.savethememory.entity.TbKen;
import jp.savethememory.entity.TbShichouson;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.seasar.extension.jdbc.JdbcManager;
import org.seasar.framework.aop.annotation.Trace;
import org.seasar.struts.annotation.Execute;
@Trace
public class MunicipalityListAction {

	public JdbcManager jdbcManager;
	public List<TbKen> kenList;
	public List<TbShichouson> shiList;
	
	protected Log LOGGER = LogFactory.getLog(MunicipalityListAction.class);

	@Resource
	protected UserDto userDto;
	
	@Execute(validator=false)
	public String index(){
		return "index.jsp";
	}
	
	/**
	 * 自治体画面を表示します。
	 * @return
	 */
	@Execute(validator=false)
	public String dispIndex(){
		kenList = jdbcManager.from(TbKen.class).getResultList();
		shiList = jdbcManager.from(TbShichouson.class).getResultList();
	
		return "municipalityList.jsp";
	}
	
	/**
	 * ログイン画面へ遷移します。
	 * @return
	 */
	@Execute(validator=false)
	public String toLogin(){
		return "/login/?redirect=true;";
	}
	
}
