package jp.savethememory.entity;

import java.sql.Timestamp;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.seasar.framework.aop.annotation.Trace;

@Trace
@Entity
@Table(name="tb_zip")
public class TbZip {

	@Column(name = "state_code")
	private String stateCode;
	@Column(name = "zip_code")
	private String zipCode;
	private String prefecture;
	private String city;
	private String street;
	@Temporal(TemporalType.DATE)
	@Column(name = "create_date")
	private Timestamp createDate;
	@Column(name = "create_user")
	private Integer createUser;
	@Column(name = "create_task")
	private String createTask;
	@Temporal(TemporalType.DATE)
	@Column(name = "update_date")
	private Timestamp updateDate;
	@Column(name = "update_user")
	private Integer updateUser;
	@Column(name = "update_task")
	private String updateTask;

	public String getStateCode() {
		return stateCode;
	}

	public void setStateCode(String stateCode) {
		this.stateCode = stateCode;
	}

	public String getZipCode() {
		return zipCode;
	}

	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}

	public String getPrefecture() {
		return prefecture;
	}

	public void setPrefecture(String prefecture) {
		this.prefecture = prefecture;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getStreet() {
		return street;
	}

	public void setStreet(String street) {
		this.street = street;
	}

	public Timestamp getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Timestamp createDate) {
		this.createDate = createDate;
	}

	public Integer getCreateUser() {
		return createUser;
	}

	public void setCreateUser(Integer createUser) {
		this.createUser = createUser;
	}

	public String getCreateTask() {
		return createTask;
	}

	public void setCreateTask(String createTask) {
		this.createTask = createTask;
	}

	public Timestamp getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Timestamp updateDate) {
		this.updateDate = updateDate;
	}

	public Integer getUpdateUser() {
		return updateUser;
	}

	public void setUpdateUser(Integer updateUser) {
		this.updateUser = updateUser;
	}

	public String getUpdateTask() {
		return updateTask;
	}

	public void setUpdateTask(String updateTask) {
		this.updateTask = updateTask;
	}

}
