package jp.savethememory.util;

import java.util.regex.Pattern;

import org.seasar.framework.aop.annotation.Trace;

/**
 * コード定義をまとめています。
 *
 */
@Trace
public interface CommonDefine {

	public final static String PROPERTIES_STMP_FILE_NAME = "stmp";
	public final static String PROPERTIES_STMP_KEY_QUANP_TARGET_PLACE = "target_place";
	public final static String PROPERTIES_STMP_KEY_NUMBER_OF_SMALL_CONTENT_AT_A_TIME = "number_of_small_content_at_a_time";
	public final static String PROPERTIES_STMP_KEY_NUMBER_OF_BIG_CONTENT_AT_A_TIME = "number_of_big_content_at_a_time";
	public final static String PROPERTIES_STMP_KEY_NUMBER_OF_DISPLAY_ALBUM_CONTENT = "number_of_display_album_content";
	public final static String PROPERTIES_STMP_KEY_IMG_THUMBNAIL_PREFIX = "thumbnail_prefix";
	public final static String PROPERTIES_STMP_KEY_IMG_VIEW_PREFIX = "view_prefix";
	public final static String PROPERTIES_STMP_KEY_IMG_SUFFIX = "img_suffix";

//	public final static String PROPERTIES_STMP_KEY_QUANP_CORE_END_POINT = "quanp_core_api_end_point";
//	public static final String PROPERTIES_STMP_KEY_QUANP_CORE_APPID = "quanp_core_appid";
//	public static final String PROPERTIES_STMP_KEY_QUANP_RETURN_PLACE = "quanp_core_return_place";
	public static final String PROPERTIES_STMP_KEY_QUANP_CORE_HOST = "quanp_core_host";
	public static final String PROPERTIES_STMP_KEY_QUANP_CORE_PROTOCOL = "quanp_core_access_protocol";
	public static final String PROPERTIES_STMP_KEY_QUANP_CORE_AGENT = "quanp_core_access_user_agent";
	public static final String PROPERTIES_STMP_KEY_QUANP_CORE_TIME_OUT_CON = "quanp_core_access_timeout_connection";
	public static final String PROPERTIES_STMP_KEY_QUANP_CORE_TIME_OUT_SO = "quanp_core_access_timeout_so";

	public static final String BREAD_CRUMB_MUNICIPALITY = "municipalityList";
	public static final String BREAD_CRUMB_LOGIN = "login";
	public static final String BREAD_CRUMB_PICTURELIST_INDEX = "pictureList";
	public static final String BREAD_CRUMB_PICTURELIST_DISPLAY = "pictureList/displayPictureList";
	public static final String BREAD_CRUMB_PICTURELIST_CONFIRM = "pictureList/confirm";
	public static final String BREAD_CRUMB_SHIPPINGADDRESS_INDEX = "shippingAddress";
	public static final String BREAD_CRUMB_SHIPPINGADDRESS_CONFIRM = "shippingAddress/confirm";
	public static final String BREAD_CRUMB_SHIPPINGADDRESS_COMPLETE = "shippingAddress/complete";

	//年月日有ファイル名（1枚スキャン時）
	public static final Pattern FILE_NAME_PATTERN1 = Pattern.compile("^[0-9]{2}[01][0-9][0-3][0-9]_[A-Z]{2,3}-[A-Z]-[0-9]{7}-[0-9]{7}\\.jpg$");
	//年月日有ファイル名（8枚スキャン時）
	public static final Pattern FILE_NAME_PATTERN2 = Pattern.compile("^[0-9]{2}[01][0-9][0-3][0-9]_[A-Z]{2,3}-[A-Z]-[0-9]{7}-[0-9]{7}-[1-8]\\.jpg$");
	//年月日無しファイル名
	public static final Pattern FILE_NAME_PATTERN3 = Pattern.compile("^[A-Z]{2,3}-[A-Z]-[0-9]{7}-[0-9]{7}\\.jpg$");
	//ファイル名拡張子(.jpg)
	public static final int FILE_NAME_EXTENSION_LENGTH = 4;
	//アルバム判断のために切り出すサフィックスの長さ　ファイル名（1枚スキャン時）
	public static final int FILE_NAME_SUFFIX_LENGTH = 11;
	//アルバム判断のために切り出すサフィックスの長さ　ファイル名（8枚スキャン時）
	public static final int FILE_NAME_EIGHT_SUFFIX_LENGTH = 13;
	//ファイル名の日付部分の長さ
	public static final int FILE_NAME_SUBSTRING_DATE_LENGTH = 7;
	//コンテンツIDが無しのとき
	public static final String NONE_CONTENTS_ID = "none";

	public static final String FILE_TYPE_JPG = "jpg";

	public static final int VERIFY_RESULT_CONTENT_MAX_COUNT = 200;

	public static final String FET_FILES_ROOT_PATH = "fet_files_root_path";

	public static float verifyScore = 0.52f;
}
