<%@page pageEncoding="UTF-8"%>
<tiles:insert template="/WEB-INF/view/pictureList/listLayout.jsp" flush="true">
<tiles:put name="content" type="string">
<div class="content">
	<div style="list-style:none;width:940px;margin:0;padding:0;" class="normal">
		<c:forEach var="content" items="${contentList}" varStatus="status">
			<c:set var="id" value="" />
			<c:set var="style" value="clear:both;border-top: 2px solid #bec0c4;" />
			<c:if test="${status.first}">
				<c:set var="id" value="first_block" />
				<c:set var="style" value="clear:both;" />
			</c:if>
			<c:if test="${searchType == 0 && content.anchorCount != -1}">
				<div style="${style}"><a id="${id}" class="picture_block"></a></div>
			</c:if>
			<c:choose>
			<c:when test="${content.isPublicPhoto == false}">
				<div id="list_${content.titlePrefix}" class="list_${content.titlePrefix} list" style="display:block;float:left;width:920px;margin: 0px 0px 50px 0px;padding:15px 10px;">
			</c:when>
			<c:otherwise>
				<div id="list_${content.titlePrefix}" class="list_public_${content.titlePrefix} list" style="position:relative;display:block;float:left;width:920px;margin: 0px 0px 50px 0px;padding:15px 10px;">
				<div style="position:absolute;top:2px;left:2px;color:gray;font-size:9px" >原本無し</div>
			</c:otherwise>
			</c:choose>
				<ul style="list-style:none;width:920px;margin:0;padding:0;" class="normal">
				<li style="display:block;float:left;width:670px;margin:0px">
					<div style="width:670px;text-align:center;">
						<a href="" class="popup" id="link_view_pera_${content.id}">
						<img src="/stmp/imageGet/getView/${content.id}" id="bigpicture_${content.id}" class="bigpicture" style="border-style:none;"/>
						</a>
					</div>
				</li>
				<li style="display:block;float:left;width:240px;margin-left:10px">

						<c:if test="${content.canSelect == true}">
						<div style="margin-bottom:10px;">
								<input type="button" title="写真を選択"  id="check_${content.id}" name="multibox" disabled="disabled" class="check_${content.titlePrefix} select_photo_big_n"/>
								<input type="hidden" id="hidden_count_${content.id}" name="hidden_count_${content.id}" value="${content.albumContentsCount}"  />
						</div>
						</c:if>
						<c:choose>
		 				<c:when test="${content.albumContentsCount > 1}">
						<div id="view_album_${content.id}" class="view_album" 
							style="z-index:1;position:relative;cursor: default;
								background:url('${f:url('/images/btn_album_big_n.gif')}') left top no-repeat;border:0;width:240px;height:40px" 
							onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_album_big_r.gif')})'" 
							onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_album_big_n.gif')})'">
						<input type="button" title="アルバムの写真を表示" style=" z-index:2;filter: alpha(opacity=0);border:0;width:240px;height:40px;"/>
						<span style="z-index:0;position:absolute;bottom:10px;right:5px;width:50px;text-align:left;">(${content.albumContentsCount}枚)</span>
						</div>
						</c:when>
						<c:otherwise>
						<div>
						<input type="button" title="写真を拡大" id="view_pera_${content.id}" name="view_pera" class="popup" value=" " 
							style="background:url('${f:url('/images/btn_pera_big_n.gif')}') left top no-repeat;border:0;width:240px;height:40px" 
							onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_pera_big_r.gif')})'" 
							onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_pera_big_n.gif')})'" />
						</div>
						</c:otherwise>
						</c:choose>

						<div style="margin-top: 10px;">
						<c:if test="${content.isHasFace}">
						<input type="button" title="顔検索" onclick="gotoFaceSearch(${content.id})"
							style="background:url('${f:url('/images/btn_tofacesearch_photo_big_n.gif')}') left top no-repeat;border:0;width:240px;height:40px" 
							onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_tofacesearch_photo_big_r.gif')})'" 
							onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_tofacesearch_photo_big_n.gif')})'" />
						</div>
						</c:if>
						<c:if test="${!content.isHasFace}">
						<input type="button" title="顔が見つかりません" onclick="gotoFaceSearch(${content.id})"
							style="background:url('${f:url('/images/btn_tofacesearch_photo_big_d.gif')}') left top no-repeat;border:0;width:240px;height:40px" 
							disabled="disabled" />
						</div>
						</c:if>

						<div style="margin-top:10px;">
						<input type="button" title="コメント全文表示・入力" name="open_summary_dialog" id="open_summary_dialog_${content.id}" value=" "
							style="margin-top:10px;background:url('${f:url('/images/btn_comment_big_n.gif')}') left top no-repeat;border:0;width:240px;height:40px"
							onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_comment_big_r.gif')})'" 
							onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_comment_big_n.gif')})'"/>
						<html:hidden property="summary_hidden" styleId="summary_hidden_${content.id}" value="${f:br(f:h(content.summary))}" />
						</div>
						<div style="margin-top:20px;">${content.title}</div>
						<div>
							<fmt:formatDate value="${content.published}" pattern="yyyy/MM/dd"/>
						</div>
						<div class="big" style="overflow:hidden;width:240px;height:242px;margin-top:20px;" id="summary_${content.id}" >${f:h(content.summary)}</div>
				</li>
				</ul>
			</div>
		</c:forEach>
	</div>
	<div style="clear:both"><a id="last_block" class="picture_block"></a></div>
<!-- content --></div>
</tiles:put>
</tiles:insert>
