<%@page pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head>
<title>顔検索</title>
<meta http-equiv="Content-Style-Type" content="text/css" /> 
<meta http-equiv="Content-Script-Type" content="text/javascript" /> 
<link rel="stylesheet" type="text/css" href="${f:url('/css/stmp.css')}" />
<link rel="stylesheet" type="text/css" href="${f:url('/css/jquery-ui-1.8.16.custom.css')}" />
<link rel="stylesheet" type="text/css" href="${f:url('/css/jquery.alerts.css')}" />

<style>

.faceLabel{
	width:70px;
	display: block;
	float: left;
}

.faceDiv {
	background:url('${f:url('/images/transparent.gif')}') repeat;
}

</style>


<script type="text/javascript" src="${f:url('/js/jquery-1.6.2.min.js')}"></script>
<script type="text/javascript" src="${f:url('/js/jquery-ui-1.8.16.custom.min.js')}"></script>
<script type="text/javascript" src="${f:url('/js/jquery.alerts.js')}"></script>
<script type="text/javascript" src="${f:url('/js/preimg.js')}"></script>
<script type="text/javascript" src="${f:url('/js/stmp.js')}"></script>
<script type="text/javascript" src="${f:url('/js/jquery.upload-1.0.2.js')}"></script>
<script type="text/javascript">
	function uploadPicture() {
		$('#input_ico').upload('uploadPicture', function(res){
				if(res.error){
					$('#searchConditionErrorDiv').text(res.error);
					return false;
				}
				$('#searchConditionErrorDiv').text('');
				$('#user_ico').attr('src', res.iconUrl);
				$('#user_ico').css('width', res.imageWidth);
				$('#pictureFrom').attr('value', res.pictureFrom);
				$('#faceNumRadioDiv').css('display', 'none');
				$('#faceParentDiv').css('display', 'none');
		},'json'); 
	}
	
	var FACE_BORDER_SELECT = "rgb(0,102,255) solid 2px";
	var FACE_BORDER_SHOW = "rgb(0,173,255) solid 2px";
	var FACE_BORDER_HIDE = "none";
	var selectFaceId = 0;
	
	function onFaceBorderOver(faceId){
		faceBorderShow(faceId)
	}
	
	function onFaceBorderOut(faceId){
		if(selectFaceId == faceId){
			faceBorderSelect(faceId);
		}else{
			faceBorderHide(faceId);
		}
	}
	
	function onFaceBorderClick(faceId){
		faceBorderSelect(faceId);
	}
	
	function selectFaceNum(faceId){
		faceBorderSelect(faceId);
	}
	
	function faceBorderSelect(faceId){
		if(selectFaceId != 0){
			faceBorderHide(selectFaceId);
		}
		document.getElementById("faceDiv"+faceId).style.border = FACE_BORDER_SELECT;
		document.getElementById("faceradio"+faceId).checked = "checked";
		
		selectFaceId = faceId;
	}
	function faceBorderHide(faceId){
		document.getElementById("faceDiv"+faceId).style.border = FACE_BORDER_HIDE;
	}
	function faceBorderShow(faceId){
		document.getElementById("faceDiv"+faceId).style.border = FACE_BORDER_SHOW;
	}
	
	function searchPictureList(){
		if($('#pictureFrom').val()==1){
			if(selectFaceId == 0 ){
				$('#searchConditionErrorDiv').text('検索用の顔を選択してください。');
				return false;
			}
		} 
		$('#faceSearchForm').submit();
	}
		
</script>
</head>
<body>
<fmt:setBundle basename="stmp" var="resource" />
<fmt:message bundle="${resource}" key="stm_top_url" var="top_url"/>
<fmt:message bundle="${resource}" key="stm_about_url" var="about_url"/>
<fmt:message bundle="${resource}" key="stm_inq_url" var="inq_url"/>
<fmt:message bundle="${resource}" key="stm_faq_url" var="faq_url"/>
	

<div id="wrapper">
	<div id="header">
	<a href="${top_url}"><img src="${f:url('/images/logo.jpg')}" alt="Save The Memory" style="border:0;absmiddle" /></a>
	<div style="position:absolute;bottom:10px;right:0px">
		<table cellspacing="0" cellpadding="0" border="0" class="normal">
		<tr height="30px" valign="bottom" >
		<td align="right" width="400px" class="normal">選択枚数：
		<span class="count" id="count"><c:out value="${selectedCount}"/></span>&nbsp;枚
		</td>
		<c:if test="${pictureFrom == 1}">
		<td align="right" style="width:120px;padding-bottom:3px;" >
		<s:form method="post" style="margin-bottom: 0px;" >
		<input type="submit" value=" " name="backFromConfirm" 
			style="background:url('/stmp/images/btn_back_n.gif')  left top no-repeat;	border:0;width:100px;height:25px;"
			onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_back_r.gif')})'" 
			onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_back_n.gif')})'"
			/> 
		</s:form>	
		</td>
		</c:if>
		</tr>
		</table>
	</div>
	</div>
<s:form method="post" enctype="multipart/form-data" action="searchPictureList" styleId="faceSearchForm">
	<div id="sub_header">
	<div class="normal"><a href="${top_url}">トップ</a>
	&nbsp;&nbsp;&gt;&nbsp;&nbsp;<a href="/stmp/municipalityList/">サポートしている自治体</a>
	&nbsp;&nbsp;&gt;&nbsp;&nbsp;<a id="to_search" href="javascript:void(0)">検索</a>
	&nbsp;&nbsp;&gt;&nbsp;&nbsp;顔検索</div>
	<!--sub_header--></div>
	<div id="main">
	<c:if test="${searchMessage != null}">
		<div class="normal" style="margin-bottom:10px;color:red">
			<c:out value="${searchMessage}" />
		</div>
	</c:if>
	<div class="normal" style="margin-top:10px;font-weight:bold;color:#0b9ad8">
	<img src="${f:url('/images/arrow_2.gif')}" align="absmiddle"/>
	写真の閲覧はこちら （顔での検索が可能です）
	</div>
	<div class="normal" style="background-color:#dcdcdc;margin-left:auto;margin-right:auto;margin-top:10px;width:940px;font-weight:bold">
	<label for="date_search"><!--<html:radio styleId="date_search" property="searchCondition" value="0"/> -->
	検索用の顔写真を選択してください。
	</label>
	</div>
	<div style="border:soild; width:${imageWidth};"></div>
	<img id="user_ico" src="${f:url(iconUrl)}" style=" width:${imageWidth}px;" />
	<div id="faceParentDiv" style="position: absolute; width: 100%; top:0px; left: 0px;">
		<div style="position: relative; width: ${imageWidth}px; height: 100%; margin: 0 auto;">
			<c:forEach var="face" varStatus="status" items="${tbFaces}">
				<div class="faceDiv" id="faceDiv${status.index + 1}" style="border:none; position:absolute; top:${face.top + 189}px; left:${face.left}px; width:${face.faceWidth}px; height:${face.faceHeight}px"
				 onmouseover="onFaceBorderOver(${status.index + 1})" onmouseout="onFaceBorderOut(${status.index + 1})" onclick="onFaceBorderClick(${status.index + 1})">
				</div>
			</c:forEach>
		</div>	
	</div>
	
	<div class="normal" id="faceNumRadioDiv">
	<c:if test="${pictureFrom == 1&& empty tbFaces}">
		<div>
		<span style="color: red; font-weight: bold; font-size:12px;">顔検出していません。別の写真をご利用ください。</span>
		</div>
	</c:if>
	<c:if test="${verifyErrorMessage != null}">
		<div>
		<span style="color: red; font-weight: bold; font-size:12px;">${verifyErrorMessage}</span>
		</div>
	</c:if>
	<c:forEach var="face" varStatus="status" items="${tbFaces}">
			<c:if test="${status.index!=0 && status.index%10 == 0}">
				<div style="clear: both;"></div>
			</c:if>	
			<label style="visibility: hidden;" class="faceLabel" for="faceradio${status.index + 1}"><html:radio styleId="faceradio${status.index + 1}"
			property="featureFilePath" value="${face.featureFilePath}" onclick="selectFaceNum(${status.index + 1})"/>face${status.index + 1}</label>
	</c:forEach>
	<label for="radio${status.index + 1}" style="visibility: hidden;"><html:radio 
			property="featureFilePath" value=""/></label>
	</div>
	<div style="clear: both;"></div>
	

	<div style="height: 40px;">
  		<input id="input_ico" type="file"  style="width:96px;color:#FFF;float: left;" 
		type="file" name="facePicture" size="1" onchange="uploadPicture()" /> 	
	</div>


	<div class="normal" style="background-color:#dcdcdc;margin:20px auto 10px auto;width:940px;font-weight:bold">表示する画像の大きさを選択してください</div>
	<div class="normal">
		<label for="radio1"><html:radio styleId="radio1" property="pictureSize" value="0"/>小さな画像で表示</label>
		<label for="radio2"><html:radio styleId="radio2" property="pictureSize" value="1"/>大きな画像で表示</label>
	</div>
	
	<div style="margin-top:20px">				
		<input type="button" style="background:url('${f:url('/images/btn_search_mini_n.gif')}') left top no-repeat;border:0;width:100px;height:25px" 
				onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_search_mini_r.gif')})'" 
				onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_search_mini_n.gif')})'"
				onclick="searchPictureList()"/>

	</div>
	<div id="searchConditionErrorDiv" style="margin-top:3px; color: red; font-weight: bold; font-size:12px;">${searchConditionErrorMessage}</div>
	
	<input type="hidden" name="pictureFrom" value="${pictureFrom}" id="pictureFrom"/>
	<input type="hidden" name="searchType" value="1"/>
	</s:form>

	<!--main--></div>
	<div id="footer" style="margin-left: 0px;">
		<a href="${top_url}${about_url}" class="normal" style="padding-right:20px">セーブ・ザ・メモリープロジェクトについて</a>
		<a href="${top_url}${inq_url}" class="normal" style="padding-right:20px">お問い合わせ</a>
		<a href="${top_url}${faq_url}" class="normal" style="padding-right:20px">よくあるご質問</a>
	</div>
<!--wrapper--></div>

</body>
</html>