<%@page pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head>
<title>送付先入力</title>
<link rel="stylesheet" type="text/css" href="${f:url('/css/stmp.css')}" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<script type="text/javascript">
function btnSubmit(action){
	document.shippingAddressActionForm.action="/stmp/shippingAddress/"+action;
	document.shippingAddressActionForm.submit();
}
</script>
</head>
<body>
<fmt:setBundle basename="stmp" var="resource" />
<fmt:message bundle="${resource}" key="stm_top_url" var="top_url"/>
<fmt:message bundle="${resource}" key="stm_about_url" var="about_url"/>
<fmt:message bundle="${resource}" key="stm_inq_url" var="inq_url"/>
<fmt:message bundle="${resource}" key="stm_faq_url" var="faq_url"/>
<s:form method="POST" onsubmit="return false;">
<div id="wrapper">
	<div id="header"><a href="${top_url}"><img src="${f:url('/images/logo.jpg')}" alt="Save The Memory" /></a></div>
	
	<div id="main">
		<div class="normal" style="margin-bottom:10px">選択された写真は&nbsp;<c:out value="${selectedCount}"/>&nbsp;枚です。&nbsp;&nbsp;<br/>
		<c:if test="${hasPublicContent == true}"><span style="color:red;" class="normal">原本が無く、デジタルデータのみのものも含まれています。</span><br/></c:if>
		下記の送付先情報を入力し、[確認画面へ]ボタンを押してください。<br/><br/>
		申請が2回目以降の方は以下に電話番号と生年月日を入力後、[検索]ボタンを押してください。<br/>
		該当する情報がある場合は、送付先情報に設定されます。
		</div>
		<span style="color:red;" class="normal"><c:out value="${searchMessage}" /></span>
		<table class="shippingtable normal" >
		<tr>
			<td class="head">電話番号</td>
			<td class="data">
				<div><html:text property="searchTelNo1" maxlength="4" style="width:50px;ime-mode: disabled"/>&nbsp;−&nbsp;
				<html:text property="searchTelNo2" maxlength="4" style="width:50px;ime-mode: disabled"/>&nbsp;−&nbsp;
				<html:text property="searchTelNo3" maxlength="4" style="width:50px;ime-mode: disabled"/>
				</div>
				<div><html:errors property="searchTelNo1"/></div>
				<div><html:errors property="searchTelNo2"/></div>
				<div><html:errors property="searchTelNo3"/></div>
			</td>
		</tr>
		<tr>
			<td class="head">生年月日</td>
			<td class="data">
				<div>西暦&nbsp;<html:text property="searchBirthdayYear" maxlength="4" style="width:50px;ime-mode: disabled"/>&nbsp;年&nbsp;
				<html:text property="searchBirthdayMonth" maxlength="2" style="width:50px;ime-mode: disabled"/>&nbsp;月&nbsp;
				<html:text property="searchBirthdayDay" maxlength="2" style="width:50px;ime-mode: disabled"/>&nbsp;日&nbsp;
				</div>
				<div><html:errors property="searchBirthdayYear"/></div>
				<div><html:errors property="searchBirthdayMonth"/></div>
				<div><html:errors property="searchBirthdayDay"/></div>
				<span style="color:red;"><c:out value="${searchBirthdayErr}" /></span>
			</td>
		</tr>
		</table>
		<div align="right" style="height:22px;margin-top:10px;width:540px">
		<input type="button" name="searchShippingAddressHistory" value=" " onclick="btnSubmit('searchShippingAddressHistory');" 
				style="background:url('${f:url('/images/btn_search_mini_n.gif')}') left top no-repeat;border:0;width:100px;height:25px" 
				onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_search_mini_r.gif')})'" 
				onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_search_mini_n.gif')})'"/>
		</div>
		<div class="strong" style="color:#0b9ad8;margin-top:20px;">送付先情報</div>
<!-- 		<table cellspacing="0" cellpadding="3" border="1 solid" class="normal" style="margin-top:15px;"> -->
		<table class="shippingtable normal" style="margin-top:10px;">
		<tr>
			<td class="head">氏名<span style="color:red;font-weight:bold;">&nbsp;【必須】</span></td>
			<td class="data">
				<table style="border:0"><tr style="border:0">
				<td style="width:27px;">姓</td>
				<td style="width:120px;"><html:text property="lastName" maxlength="20" style="width:100px" /></td>
				<td style="width:27px;">名</td>
				<td style="width:120px;"><html:text property="firstName" maxlength="20" style="width:100px" />	</td>
				</tr></table>
				<div><html:errors property="lastName"/></div>
				<div><html:errors property="firstName"/></div>
			</td>
		</tr>
		<tr>
			<td class="head">フリガナ<span style="color:red;font-weight:bold;">&nbsp;【必須】</span></td>
			<td class="data">
				<table style="border:0"><tr style="border:0">
				<td style="width:27px;">セイ</td>
				<td style="width:120px;"><html:text property="lastNameKana" maxlength="20" style="width:100px" /></td>
				<td style="width:27px;">メイ</td>
				<td style="width:120px;"><html:text property="firstNameKana" maxlength="20" style="width:100px" />	</td>
				</tr></table>
				<div><html:errors property="lastNameKana"/></div>
				<div><html:errors property="firstNameKana"/></div>
			</td>
		</tr>
		<tr>
			<td class="head">電話番号<span style="color:red;font-weight:bold;">&nbsp;【必須】</span></td>
			<td class="data">
				<div><html:text property="telNo1" maxlength="4" style="width:50px;ime-mode: disabled"/>&nbsp;−&nbsp;
				<html:text property="telNo2" maxlength="4" style="width:50px;ime-mode: disabled"/>&nbsp;−&nbsp;
				<html:text property="telNo3" maxlength="4" style="width:50px;ime-mode: disabled"/>
				</div>
				<div><html:errors property="telNo1"/></div>
				<div><html:errors property="telNo2"/></div>
				<div><html:errors property="telNo3"/></div>
			</td>
		</tr>
		<tr>
			<td class="head">生年月日<span style="color:red;font-weight:bold;">&nbsp;【必須】</span></td>
			<td class="data">
				<div>西暦&nbsp;<html:text property="birthdayYear" maxlength="4" style="width:50px;ime-mode: disabled"/>&nbsp;年&nbsp;
				<html:text property="birthdayMonth" maxlength="2" style="width:50px;ime-mode: disabled"/>&nbsp;月&nbsp;
				<html:text property="birthdayDay" maxlength="2" style="width:50px;ime-mode: disabled"/>&nbsp;日&nbsp;
				</div>
				<div><html:errors property="birthdayYear"/></div>
				<div><html:errors property="birthdayMonth"/></div>
				<div><html:errors property="birthdayDay"/></div>
				<span style="color:red;"><c:out value="${birthdayErr}" /></span>
			</td>
		</tr>
		<tr>
			<td class="head">性別<span style="color:red;font-weight:bold;">&nbsp;【必須】</span></td>
			<td class="data">
				<div class="normal">
					<html:radio property="sex" value="0"/>男性
					<html:radio property="sex" value="1"/>女性
				</div>
			</td>
		</tr>
		</table>
		<div class="normal" style="margin-top:10px;font-weight:bold;">現住所</div>
		<table class="shippingtable normal">
		<tr>
			<td class="head">郵便番号<span style="color:red;font-weight:bold;">&nbsp;【必須】</span></td>
			<td class="data">
				<div>〒
					<html:text property="presentZipcode" maxlength="7" style="width:80px;ime-mode: disabled" />
					<input type="button" name="searchPresentAddress" value=" " onclick="btnSubmit('searchPresentAddress');" 
						style="background:url('${f:url('/images/btn_search_mini_n.gif')}') left top no-repeat;border:0;width:100px;height:25px" 
						onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_search_mini_r.gif')})'" 
						onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_search_mini_n.gif')})'"/>
					<div style="margin-left:5px;margin-top:5px">'-'をつけず、7桁で入力してください。 例) 0010001</div>
				</div>
				<div><html:errors property="presentZipcode"/></div>
			</td>
		</tr>
		<tr>
			<td class="head">都道府県<span style="color:red;font-weight:bold;">&nbsp;【必須】</span></td>
			<td class="data">
				<div>
				<html:select property="presentPrefecture" value="${presentPrefecture}">
					<html:option value=""></html:option>
					<html:option value="北海道">北海道</html:option>
					<html:option value="青森県">青森県</html:option>
					<html:option value="岩手県">岩手県</html:option>
					<html:option value="宮城県">宮城県</html:option>
					<html:option value="秋田県">秋田県</html:option>
					<html:option value="山形県">山形県</html:option>
					<html:option value="福島県">福島県</html:option>
					<html:option value="茨城県">茨城県</html:option>
					<html:option value="栃木県">栃木県</html:option>
					<html:option value="群馬県">群馬県</html:option>
					<html:option value="埼玉県">埼玉県</html:option>
					<html:option value="千葉県">千葉県</html:option>
					<html:option value="東京都">東京都</html:option>
					<html:option value="神奈川県">神奈川県</html:option>
					<html:option value="新潟県">新潟県</html:option>
					<html:option value="富山県">富山県</html:option>
					<html:option value="石川県">石川県</html:option>
					<html:option value="福井県">福井県</html:option>
					<html:option value="山梨県">山梨県</html:option>
					<html:option value="長野県">長野県</html:option>
					<html:option value="岐阜県">岐阜県</html:option>
					<html:option value="静岡県">静岡県</html:option>
					<html:option value="愛知県">愛知県</html:option>
					<html:option value="三重県">三重県</html:option>
					<html:option value="滋賀県">滋賀県</html:option>
					<html:option value="京都府">京都府</html:option>
					<html:option value="大阪府">大阪府</html:option>
					<html:option value="兵庫県">兵庫県</html:option>
					<html:option value="奈良県">奈良県</html:option>
					<html:option value="和歌山県">和歌山県</html:option>
					<html:option value="鳥取県">鳥取県</html:option>
					<html:option value="島根県">岡山県</html:option>
					<html:option value="岡山県">岡山県</html:option>
					<html:option value="広島県">広島県</html:option>
					<html:option value="山口県">山口県</html:option>
					<html:option value="徳島県">徳島県</html:option>
					<html:option value="香川県">香川県</html:option>
					<html:option value="愛媛県">愛媛県</html:option>
					<html:option value="高知県">高知県</html:option>
					<html:option value="福岡県">福岡県</html:option>
					<html:option value="佐賀県">佐賀県</html:option>
					<html:option value="長崎県">長崎県</html:option>
					<html:option value="熊本県">熊本県</html:option>
					<html:option value="大分県">大分県</html:option>
					<html:option value="宮崎県">宮崎県</html:option>
					<html:option value="鹿児島県">鹿児島県</html:option>
					<html:option value="沖縄県">沖縄県</html:option>
				</html:select>
				</div>
				<html:errors property="presentPrefecture"/>
			</td>
		</tr>
		<tr>
			<td class="head">市区郡町村<span style="color:red;font-weight:bold;">&nbsp;【必須】</span></td>
			<td class="data">
				<div><html:text property="presentCity" maxlength="100" style="width:350px"/></div>
				<html:errors property="presentCity"/>
			</td>
		</tr>
		<tr>
			<td class="head">番地・号<span style="color:red;font-weight:bold;">&nbsp;【必須】</span></td>
			<td class="data">
				<div><html:text property="presentAddress" maxlength="100" style="width:350px"/></div>
				<html:errors property="presentAddress"/>
			</td>
		</tr>
		<tr>
			<td class="head">建物・部屋番号</td>
			<td class="data">
				<div><html:text property="presentBuilding" maxlength="100" style="width:350px"/></div>
				<html:errors property="presentBuilding"/>
			</td>
		</tr>
		</table>
		<div class="normal" style="margin-top:10px;font-weight:bold;">住民票住所</div>
		<table class="shippingtable normal">
		<tr>
			<td class="head">郵便番号</td>
			<td class="data">
				<div>〒
					<html:text property="residenceCertZipcode" maxlength="7" style="width:80px;ime-mode: disabled" />
					<input type="button" name="searchResidenceCertAddress" value=" " onclick="btnSubmit('searchResidenceCertAddress');" 
						style="background:url('${f:url('/images/btn_search_mini_n.gif')}') left top no-repeat;border:0;width:100px;height:25px" 
						onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_search_mini_r.gif')})'" 
						onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_search_mini_n.gif')})'"/>
					<div style="margin-left:5px;margin-top:5px">'-'をつけず、7桁で入力してください。 例) 0010001</div>
				</div>
				<div><html:errors property="residenceCertZipcode"/></div>
			</td>
		</tr>
		<tr>
			<td class="head">都道府県</td>
			<td class="data">
				<div>
				<html:select property="residenceCertPrefecture" value="${residenceCertPrefecture}">
					<html:option value=""></html:option>
					<html:option value="北海道">北海道</html:option>
					<html:option value="青森県">青森県</html:option>
					<html:option value="岩手県">岩手県</html:option>
					<html:option value="宮城県">宮城県</html:option>
					<html:option value="秋田県">秋田県</html:option>
					<html:option value="山形県">山形県</html:option>
					<html:option value="福島県">福島県</html:option>
					<html:option value="茨城県">茨城県</html:option>
					<html:option value="栃木県">栃木県</html:option>
					<html:option value="群馬県">群馬県</html:option>
					<html:option value="埼玉県">埼玉県</html:option>
					<html:option value="千葉県">千葉県</html:option>
					<html:option value="東京都">東京都</html:option>
					<html:option value="神奈川県">神奈川県</html:option>
					<html:option value="新潟県">新潟県</html:option>
					<html:option value="富山県">富山県</html:option>
					<html:option value="石川県">石川県</html:option>
					<html:option value="福井県">福井県</html:option>
					<html:option value="山梨県">山梨県</html:option>
					<html:option value="長野県">長野県</html:option>
					<html:option value="岐阜県">岐阜県</html:option>
					<html:option value="静岡県">静岡県</html:option>
					<html:option value="愛知県">愛知県</html:option>
					<html:option value="三重県">三重県</html:option>
					<html:option value="滋賀県">滋賀県</html:option>
					<html:option value="京都府">京都府</html:option>
					<html:option value="大阪府">大阪府</html:option>
					<html:option value="兵庫県">兵庫県</html:option>
					<html:option value="奈良県">奈良県</html:option>
					<html:option value="和歌山県">和歌山県</html:option>
					<html:option value="鳥取県">鳥取県</html:option>
					<html:option value="島根県">岡山県</html:option>
					<html:option value="岡山県">岡山県</html:option>
					<html:option value="広島県">広島県</html:option>
					<html:option value="山口県">山口県</html:option>
					<html:option value="徳島県">徳島県</html:option>
					<html:option value="香川県">香川県</html:option>
					<html:option value="愛媛県">愛媛県</html:option>
					<html:option value="高知県">高知県</html:option>
					<html:option value="福岡県">福岡県</html:option>
					<html:option value="佐賀県">佐賀県</html:option>
					<html:option value="長崎県">長崎県</html:option>
					<html:option value="熊本県">熊本県</html:option>
					<html:option value="大分県">大分県</html:option>
					<html:option value="宮崎県">宮崎県</html:option>
					<html:option value="鹿児島県">鹿児島県</html:option>
					<html:option value="沖縄県">沖縄県</html:option>
				</html:select>
				</div>
				<html:errors property="residenceCertPrefecture"/>
			</td>
		</tr>
		<tr>
			<td class="head">市区郡町村</td>
			<td class="data">
				<div><html:text property="residenceCertCity" maxlength="100" style="width:350px"/></div>
				<html:errors property="residenceCertCity"/>
			</td>
		</tr>
		<tr>
			<td class="head">番地・号</td>
			<td class="data">
				<div><html:text property="residenceCertAddress" maxlength="100" style="width:350px"/></div>
				<html:errors property="residenceCertAddress"/>
			</td>
		</tr>
		<tr>
			<td class="head">建物・部屋番号</td>
			<td class="data">
				<div><html:text property="residenceCertBuilding" maxlength="100" style="width:350px"/></div>
				<html:errors property="residenceCertBuilding"/>
			</td>
		</tr>
		</table>
		<table class="shippingtable normal" style="margin-top:10px;">
		<tr>
			<td class="head">メールアドレス</td>
			<td class="data">
				<div>
				<input type="text" oncopy="return false" onpaste="return false" oncontextmenu="return false" name="mail" maxlength="128" value="${mail}" style="width:350px;ime-mode: disabled" />
				</div>
				<html:errors property="mail"/>
				<div style="margin-top:10px">確認のため再度メールアドレスを入力してください。</div>
				<div>
				<input type="text" oncopy="return false" onpaste="return false" oncontextmenu="return false" name="retypeMail" maxlength="128" value="${retypeMail}" style="width:350px;ime-mode: disabled" />
				</div>
				<html:errors property="retypeMail"/>
			</td>
		</tr>
		<tr>
			<td class="head">メッセージ</td>
			<td class="data">
				<html:textarea property="message" rows="5" style="width:350px"/>
			</td>
		</tr>
		</table>
		<div align="right" style="height:22px;margin-top:10px;width:540px">
		<input type="button" name="cancel" value=" " onclick="btnSubmit('cancel')" 
				style="background:url('${f:url('/images/btn_back_n.gif')}') left top no-repeat;border:0;width:100px;height:25px;margin-right:10px;" 
				onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_back_r.gif')})'" 
				onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_back_n.gif')})'"/>
		<input type="button" name="confirm" value=" " onclick="btnSubmit('confirm');" 
				style="background:url('/stmp/images/btn_kakunin_n.gif') left top no-repeat;border:0;width:100px;height:25px"
				onmouseover="this.style.backgroundImage='url(${f:url('/images/btn_kakunin_r.gif')})'" 
				onmouseout="this.style.backgroundImage='url(${f:url('/images/btn_kakunin_n.gif')})'"/>
		</div>
	<!--main--></div>
	<div id="footer">
		<a href="${top_url}${about_url}" class="normal" style="padding-right:20px">セーブ・ザ・メモリープロジェクトについて</a>
		<a href="${top_url}${inq_url}" class="normal" style="padding-right:20px">お問い合わせ</a>
		<a href="${top_url}${faq_url}" class="normal" style="padding-right:20px">よくあるご質問</a>
	</div>
<!--wrapper--></div>
</s:form>
</body>
</html>